<?php  include('livedata.php');
date_default_timezone_set($TZ);
    ####################################################################################################
    #	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
    # 											   #
    # 	                                                                                               #
    # 	Revised: June 2022 			  	                                                   #
    # 	                                                                                               #
    #   weather34 	                                                                   #
    ####################################################################################################

//2022 Weather34 Purple Air new API format
//weather34 Purple Air json script June 2022
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);   
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm_a'];
$aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
$aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];   
$aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
$aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
$aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
$aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm_a'];
$aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
$aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
$aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
$aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
$aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
$aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
$aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"]; 
//weather34 purple air uptime
$purpleairminutes = $aqiweather["uptime"];    
$newdate    = new DateTime('@0');
$purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
$purpleairuptime    =$newdate->diff($purpleairminutesset); 
$a=""; 
//last hour trend
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
//echo $weather34purpleair_json['pm2.5_atm_a'];

?>
<div class="sunblock">
<div class="indoordesc5">Purple Air</div>
<div class="button button-dial-small">      
<div class="button-dial-top-small" style="font-size:0.2em;"><purple><?php echo $aqiweather["model"]?></purple></div>
<div class="button-dial-label-small">          
<?php 
if ($aqiweather["aqi"] >=300){ echo "<purple>".number_format($aqiweather["aqi"] ,1)."</purple>";}   
else if ($aqiweather["aqi"] >=200){ echo "<deepred>".number_format($aqiweather["aqi"] ,1)."</deepred>";}  
else if ($aqiweather["aqi"] >=150){ echo "<red>".number_format($aqiweather["aqi"] ,1)."</red>";}  
else if ($aqiweather["aqi"] >=100){ echo "<orange>".number_format($aqiweather["aqi"] ,1)."</orange>";}  
else if ($aqiweather["aqi"] >=50){ echo "<yellow>".number_format($aqiweather["aqi"] ,1)."</yellow>";}   
else if ($aqiweather["aqi"] >=0){ echo "<green>".number_format($aqiweather["aqi"] ,1)."</green>";}  
?>  
</div>
<?php //AQI
echo "<indoorpm2 style='margin-left:30px;width:max-content;margin-top:30px'>PM2.5</indoorpm2>";?>
</div>

<div class="indoortempa-mod2aqi" > 
<valuetextheadingindoor>
<?php // weather34 simple css indoor temp scale 
if ($aqiweather["aqi"] >=300 ){echo "0 50 100 150 200 250 <purple>".$aqiweather["aqi"] ."</purple>+ ";}
else if ($aqiweather["aqi"] >=250 ){echo "0 50 100 150 200 <deepred>".$aqiweather["aqi"] ."</deepred> 300+ ";}
else if ($aqiweather["aqi"] >=200 ){echo "0 50 100 150 <red>".$aqiweather["aqi"] ."</red> 250 300+ ";}
else if ($aqiweather["aqi"] >=150 ){echo "0 50 100 <red>".$aqiweather["aqi"] ."</red> 150 200 250 300+ ";}
else if ($aqiweather["aqi"] >=100){echo "0 50 <orange>".$aqiweather["aqi"] ."</orange> 150 200 250 300+ ";}
else if ($aqiweather["aqi"] >=50 ){echo "0 <yellow>".$aqiweather["aqi"] ."</yellow> 100 150 200 250 300+ ";}
else if ($aqiweather["aqi"] >=0 ){echo "<green>".$aqiweather["aqi"] ."</green> 50 100 150 200 250 300+ ";}
echo "";
?>
</valuetextheadingindoor>
<div class=sunratebar>
<div class="weather34sunratebar" 
style="width:
<?php echo $aqiweather["aqi"] *0.30;?>px;
background:
<?php 
if ($aqiweather["aqi"] >=300 ){echo '#8680bc';}
elseif ($aqiweather["aqi"] >=200 ){echo '#d87040';}
elseif ($aqiweather["aqi"] >=150 ){echo '#d87040';}
elseif ($aqiweather["aqi"] >100 ){echo '#d87040';} 
elseif ($aqiweather["aqi"] >50){echo '#e6a241';}
elseif ($aqiweather["aqi"] >0 ){echo '#9bbc2f';}
?>;">
</div></div></div>

<div class="indoortempa-mod3aqi" >  
<?php 
//air description
if ($aqiweather["aqi"] >=300){echo "Hazordous &nbsp;".$aqalert;}
else if ($aqiweather["aqi"] >=250){echo "Very Unhealthy &nbsp;".$aqalertsmall;}
else if ($aqiweather["aqi"] >=200){echo "Very Unhealthy &nbsp;".$aqalertsmall;}
else if ($aqiweather["aqi"] >=150){echo "Unhealthy &nbsp;".$aqalertsmall;}
else if ($aqiweather["aqi"] >=100){echo "Unhealthy For Some";}
else if ($aqiweather["aqi"] >=50){echo "Moderate Risk";}
else if ($aqiweather["aqi"] >0){echo "Good No Risk";}
?></div>
<div class=aqiid-brand><a href='purple-air-almanac2.php' data-lity data-title="Purple Air Quality"><?php echo  $chartlinks."&nbsp;Extra Data"?></a></div></div>