<?php  include('livedata.php');
date_default_timezone_set($TZ);
    ####################################################################################################
    #	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
    # 											   #
    # 	                                                                                               #
    # 	Revised: April 2020	
    # Based on idea by Josep	using the Chandler Burning Index                                       #
    # 	                                                                                               #
    #   weather34 	                                                                   #
    ####################################################################################################

//firerisk CBI 
$firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);	
if ($firerisk<0){$firerisk=0;}
 
 ?>

<div class="sunblock">
<div class="indoordesc2">Fire Risk CBI</div>
<div class="button button-dial-small">      
<div class="button-dial-top-small"></div>
<div class="button-dial-label-small">    

<div class="klima" style="margin-left:-8px;line-height:1.5">CBI Risk </div>      
<?php 
if ($firerisk>=90){ echo "<red>"  .$firerisk."</red>";}
else if ($firerisk>=80){ echo "<red>"  .$firerisk."</red>";}
else if ($firerisk>=50){ echo "<icon-16-20>"  .$firerisk."</icon-16-20>";}
else if ($firerisk>=-50){ echo "<green>"  .$firerisk."</green>";}
else echo "<grey>0</grey>";
    
    ?>  
<indoorpm style="margin-left:-18px;font-size:0.45em;line-height:2.5">
<?php 
if ($firerisk>=90){ echo "<red>Very High</red>";}
else if ($firerisk>=80){ echo "<red>High Risk</red>";}
else if ($firerisk>=50){ echo "<icon-16-20>Moderate</icon-16-20>";}
else if ($firerisk>=-100){ echo "<grey style='margin-left:-5px'>Low Risk</grey>";}
else echo "";
?>
</indoorpm></div></div>

<div class="indoortempa-mod2a"> 
<valuetextheadingindoor>
<?php // weather34 simple css scale 
if ($firerisk>=97 ){echo "0 20 40 50 60 70 80 <icon-31-35>".$firerisk."</icon-31-35>";}
else if ($firerisk>=90 ){echo "0 20 40 50 60 70 80 <icon-31-35>".$firerisk."</icon-31-35>";}
else if ($firerisk>=80 ){echo "0 20 40 50 60 70 <icon-31-35>".$firerisk."</icon-31-35> 90";}
else if ($firerisk>=70 ){echo "0 20 40 50 60 <icon-16-20>".$firerisk."</icon-16-20> 80 90";}
else if ($firerisk>=60 ){echo "0 20 40 50 <icon-16-20>".$firerisk."</icon-16-20> 70 80 90";}
else if ($firerisk>=50 ){echo "0 20 30 40 <icon-16-20>".$firerisk."</icon-16-20> 60 70 80 90";}
else if ($firerisk>=40 ){echo "0 20 30 <green>".$firerisk."</green> 50 60 70 80 90";}
else if ($firerisk>=30 ){echo "0 20 <green>".$firerisk."</green> 40 50 60 70 80 90";}
else if ($firerisk>=20 ){echo "0 10 <green>".$firerisk."</green> 40 50 60 70 80 90";}
else if ($firerisk>=10 ){echo "0 <green>".$firerisk."</green> 20 30 40 50 60 70 90";}
else if ($firerisk>=-50 ){echo "<green>".$firerisk."</green> 20 30 40 50 60 70 90";}
echo " CBI";

?></smalltempunit2>
</valuetextheadingindoor>
<div class=sunratebar>
<div class="weather34sunratebarbottom" 
style="width: 
<?php if($firerisk>=0){echo $firerisk;}else echo "1";?>px;
background:
<?php // indicator color
if ($firerisk>=90 ){echo 'var(--temp25-30)';}
elseif ($firerisk>=75 ){echo 'var(--temp20-25)';}
elseif ($firerisk>=50 ){echo 'var(--temp15-20)';}
elseif ($firerisk>=-50 ){echo 'var(--green)';}

?>;"></div></div></div>

<div class="indoortempa-mod3a"> 
<valuetextheadingindoor>
<?php // weather34 simple css scale 
if ($weather["humidity"]>=99 ){echo "0 10 20 40 60 70 80 90 <blue>".round($weather["humidity"],0)."</blue>";}
else if ($weather["humidity"]>=90 ){echo "0 10 20 40 50 60 70 80 <blue>".round($weather["humidity"],0)."</blue>";}
else if ($weather["humidity"]>=80 ){echo "0 10 20 40 50 60 70 <blue>".round($weather["humidity"],0)."</blue> 100";}
else if ($weather["humidity"]>=70 ){echo "0 10 20 40 50 60 <icon-11-15>".round($weather["humidity"],0)."</icon-11-15> 80 100";}
else if ($weather["humidity"]>=60 ){echo "0 10 20 40 50 <icon-11-15>".round($weather["humidity"],0)."</icon-11-15> 70 80 100";}
else if ($weather["humidity"]>=50 ){echo "0 10 20 30 40 <icon-6-10>".round($weather["humidity"],0)."</icon-6-10> 70 80 100";}
else if ($weather["humidity"]>=40 ){echo "0 10 20 30 <icon-6-10>".round($weather["humidity"],0)."</icon-6-10> 50 60 80 100";}
else if ($weather["humidity"]>=30 ){echo "0 10 20 <icon-31-35>".round($weather["humidity"],0)."</icon-31-35> 40 50 60 80 100";}
else if ($weather["humidity"]>=20 ){echo "0 10 <icon-31-35>".round($weather["humidity"],0)."</icon-31-35> 30 40 50 60 80 100 ";}
else if ($weather["humidity"]>10 ){echo "0 <icon-31-35>".round($weather["humidity"],0)."</icon-31-35> 20 30 40 50 60 80 100";}
else if ($weather["humidity"]>0 ){echo "<icon-31-35>".round($weather["humidity"],0)."</icon-31-35> 10 20 30 40 50 60 80 100";}
echo "% RH";
?>
</valuetextheadingindoor>
<div class=sunratebar style="background:var(--alternative-blue)">
<div class="weather34sunratebarbottom" 
style="width:
<?php 
if ($weather["humidity"]>=95) {echo 120;}
else if ($weather["humidity"]>=90) {echo 110;}
else if ($weather["humidity"]>=80) {echo 100;}
else if ($weather["humidity"]>=70) {echo 85;}
else if ($weather["humidity"]>=50) {echo 70;}
else if ($weather["humidity"]>=40) {echo 60;}
else if ($weather["humidity"]>=30) {echo 40;}
else if ($weather["humidity"]>=20) {echo 25;}
else if ($weather["humidity"]>=10) {echo 15;}
else if ($weather["humidity"]>=0) {echo 5;} 


?>px;
background:
<?php 
if ($weather["humidity"]>=80 ){echo 'var(--temp0-5)';}
else if ($weather["humidity"]>=60 ){echo 'var(--temp10-15)';}
elseif ($weather["humidity"]>=40 ){echo 'var(--temp5-10)';}
elseif ($weather["humidity"]>=0 ){echo 'var(--red)';}?>;">
</div></div></div>

