<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release December 2020					  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	include('preload.php');	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR TEMPERATURE DATABASE CHART</title>
		
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';
	date_default_timezone_set($TZ);
	$date= date('D jS Y');$weatherfile =date('Y')."/".date('jMY');?>
    <br>
    	<script type="text/javascript">



function WEATHER34CHARTCOLORS(wm2) {
if (wm2>=0 && wm2<=600) {wm2level='hsl(35, 77%, 58%)';}
else if (wm2>600 && wm2<=800) {wm2level='hsl(19, 66%, 55%)';}
else if (wm2>800){wm2level=' hsl(2, 56%, 55%)';}               
else {wm2level='hsl(35, 77%, 58%)';}
return wm2level;}

function WEATHER34WM2(weather34WMvalue) {
if (weather34WMvalue>=0 && weather34WMvalue<100) {theWM='Low Radiation';}
else if (weather34WMvalue>=100 && weather34WMvalue<=600) {theWM='Moderate Radiation';}
else if (weather34WMvalue>600 && weather34WMvalue<=900) {theWM='Strong Radiation ';}
else if (weather34WMvalue>900 && weather34WMvalue<=1500) {theWM='Very Strong Radiation';} 
else {theWM='No Data !';}
return theWM;}



		// today solar
        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>=0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');			
				if ( rowData[8]>=0)
				//dataPoints1.push({label: rowData[1],y:parseFloat(rowData[8])});
				dataPoints1.push({label: rowData[1],y:parseFloat(rowData[8]),color:WEATHER34CHARTCOLORS(parseFloat(rowData[8]))});
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>=0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[8]>=0)
					//dataPoints2.push({label: rowData[1],y:parseFloat(rowData[8])});
					dataPoints2.push({y:WEATHER34WM2(parseFloat(rowData[8]))});
				
			}
			drawChart(dataPoints1 , dataPoints2 );
		}
	}

		function drawChart( dataPoints1 , dataPoints2 ) {
		var chart = new CanvasJS.Chart("chartContainer2", {
            backgroundColor: "transparent",
		 animationEnabled: false,		
		
		title: {           
			fontSize: 0,			
        },
		
		toolTip:{
			enabled: false,
 },

		axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",
			gridThickness: 0,
			gridDashType: "dot",	
			interval:'<?php echo $thetimeinterval?>',
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',			
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			},
			
		axisY:{
          
		titleFontSize: 0,
        titleWrap: false,
		margin: 0,
		tickThickness: 0,
		lineThickness: 0,				
        includeZero: true,		
		gridThickness: 0,			
		labelFontSize: 0,		
		labelFontFamily: "verb",				
		interval: 100,
		
      },
	  
	  legend:{
		enabled: false,
  
 },
		
		
		data: [
		{
			type: "column",			
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 1,
			markerType: "none",
			name:"Solar Radiation",
			dataPoints: dataPoints1,
			yValueFormatString: "##.## W/m2",
			
		}
		,
		{			
			//solar phrase
			type: "scatter",
			//color:"rgba(68, 166, 181, 1.000)",
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "triangle",
			lineThickness: 0,
			markerType: "circle",
			name:"",
			dataPoints: dataPoints2,
			yValueFormatString:theWM,
			markerBorderColor: 'rgba(68, 166, 181, 1.000)', 
		}
		]
		});

		setTimeout(function(){
		chart.render();
	},500);
	}
});</script>
<body>
<div id="chartContainer2" class="charthome"></div></div>
</body></html>