<?php 
    ###################################################### 
	#	CREATED FOR WEATHER34 Aurora MKII TEMPLATE 		     
	# 		
	# 	Release: July 2021		
	# 	    mmHg Module Revised December 2021                       
	#   weather34 	    
	######################################################

include('livedata.php');
$weather["barometer"]=number_format($meteobridgeapi[10]*0.75006157584566,1);
$weather["barometer_max"]=number_format($meteobridgeapi[34]*0.75006157584566,1);
$weather["barometer_min"]=number_format($meteobridgeapi[36]*0.75006157584566,1);
$weather["barometer_trend"]    = number_format($meteobridgeapi[10]*0.75006157584566,1) - number_format($meteobridgeapi[18]*0.75006157584566,1);
$weather["barometer_units"]="mmHG";
$baroformat=2;
$baroformat2=1;
$baromdiff = number_format($weather["barometer_24H"]*0.02953*25,$baroformat);
$weather24h= $weather["barometer"]-$baromdiff; 
?>
 
<div class="weather34-boxescontainer" style="margin-top:-10px">
<div class="weather34-maxminboxes">
<weather34-list style="width:max-content">
<?php //trend phrase
//falling
if($weather["barometer_trend"]>0){echo '<orange>+'.number_format($weather["barometer_trend"],$baroformat)."</orange>";
	echo "<windunittabletmax style='position:relative;text-transform:none;'>".$weather["barometer_units"]."</windunittabletmax>";}
//rising
else if($weather["barometer_trend"]<0){echo '<alternativeblue>'.number_format($weather["barometer_trend"],$baroformat)."</alternativeblue>";
	echo "<windunittabletmax style='position:relative;text-transform:none;'>".$weather["barometer_units"]."</windunittabletmax>";
}
//steady
else echo '<barometervalue style="font-size:12px">Steady</barometervalue>';
echo "<windunittabletdavg2>1 Hour Trend</windunittabletdavg2>";
?></weather34-list>
</div>


<div class="weather34-maxminboxes">
<weather34-list style="width:max-content">
<barometervalue><?php  //Max
if ($meteobridgeapi[34]>1040){echo "<baro1040>".$weather["barometer_max"]."</baro1040>";}
else if ($meteobridgeapi[34]>1030){echo "<baro1030>".$weather["barometer_max"]."</baro1030>";}
else if ($meteobridgeapi[34]>1020){echo "<baro1020>".$weather["barometer_max"]."</baro1020>";}
else if ($meteobridgeapi[34]>1010){echo "<baro1010>".$weather["barometer_max"]."</baro1010>";}
else if ($meteobridgeapi[34]>1000){echo "<baro1000>".$weather["barometer_max"]."</baro1000>";}
else if ($meteobridgeapi[34]>900){echo "<baro900>".$weather["barometer_max"]."</baro900>";}
echo "</barometervalue><windunittabletaverage style='text-transform:none'>".$weather["barometer_units"]."</windunittabletaverage><windunittabletdavg2>Max ".$weather["thb0seapressmaxtime"]."</windunittabletdavg2>";
?></weather34-list>
</div>

<div class="weather34-maxminboxes">
<weather34-list style="width:max-content">
<barometervalue><?php  //Min
if ($meteobridgeapi[36]>1040){echo "<baro1040>".$weather["barometer_min"]."</baro1040>";}
else if ($meteobridgeapi[36]>1030){echo "<baro1030>".$weather["barometer_min"]."</baro1030>";}
else if ($meteobridgeapi[36]>1020){echo "<baro1020>".$weather["barometer_min"]."</baro1020>";}
else if ($meteobridgeapi[36]>1010){echo "<baro1010>".$weather["barometer_min"]."</baro1010>";}
else if ($meteobridgeapi[36]>1000){echo "<baro1000>".$weather["barometer_min"]."</baro1000>";}
else if ($meteobridgeapi[36]>900){echo "<baro900>".$weather["barometer_min"]."</baro900>";}
echo "</barometervalue><windunittabletaverage style='text-transform:none'>".$weather["barometer_units"]."</windunittabletaverage><windunittabletdavg2>Min ".$weather["thb0seapressmintime"]."</windunittabletdavg2>";
?></weather34-list>
</div></div>

<div class="todayssolarmax" style='position:relative;top:5px;left:55px'>
<?php //trend phrase arrow pressure	
	if($weather["barometer_trend"]<-0.1){echo '<a data-pressurefalling="Pressure ';echo "Rapidly Falling ";}
	else if($weather["barometer_trend"]<0){echo '<a data-pressurefalling="Pressure ';echo "is Falling ";}
	else if($weather["barometer_trend"]>0.1){echo '<a data-pressurerising="Pressure ';echo "Rapidly Rising ";}
	else if($weather["barometer_trend"]>0){echo '<a data-pressurerising="Pressure ';echo "is Rising ";}	
	else echo '<a data-tempsteady="Pressure is Steady';echo '">';
//falling
if($weather["barometer_trend"]>0){echo $risingtablet;}
//rising
else if($weather["barometer_trend"]<0){echo $fallingtablet;}
//steady
else echo $steadytablet;
?></a></div>

<div class="weather34caption" style="position:relative;top:-53px">Barometer</div>
<div class="button-dial-label-tablet" style="position:relative;top:-40px;
font-size:46px;margin-left:55px">  
<?php //current Pressure 
if ($weather["barometer_units"]=='inHg' || $weather["barometer_units"]=='mmHg'){$weather["barometer"]=number_format($weather["barometer"],$baroformat2);}
 echo "<barometervalue>".$weather["barometer"]."</barometervalue><smallunittablet4>".$weather["barometer_units"]."</smallunittablet4>"; 
?>
</div>

<div class='chartdataicon' style="position:relative;margin-top:-35px;z-index:100"><a href='barometer-almanacmmHg2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtablet?></a></div>