<?php include_once('livedata.php');
########################################################
#	CREATED FOR WEATHER34 Aurora MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: July 2021		  	                                           
########################################################
$weather["wind_direction"] = number_format($weather["wind_direction"], 0);
$weather["wind_direction_avg"] = number_format($weather["wind_direction_avg"], 0);
$weather["wind_direction_avgday"] = number_format($weather["wind_direction_avgday"], 0);
$weather["wind_direction_avgmonth"] = number_format($weather["wind_direction_avgmonth"], 0);
if ($windunitatc == 'yes') {
    $weather["wind_direction"] = str_pad($weather["wind_direction"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avg"] = str_pad($weather["wind_direction_avg"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgmonth"] = str_pad($weather["wind_direction_avgmonth"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgday"] = str_pad($weather["wind_direction_avgday"], 3, "0", STR_PAD_LEFT);
}
if ($weather["wind_direction"] > $weather['winddir_avg5min']) {
    $windtrend = "1";
}
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];

?>

<meta http-equiv="Content-Type: text/html; charset=UTF-8" />

<head>
    <style>
        .thearrow2 {
            -webkit-transform: rotatez(<?php echo $weather["wind_direction"] + 45; ?>deg);
            -moz-transform: rotatez(<?php echo $weather["wind_direction"] + 45; ?>deg);
            -o-transform: rotatez(<?php echo $weather["wind_direction"] + 45; ?>deg);
            -ms-transform: rotatez(<?php echo $weather["wind_direction"] + 45; ?>deg);
            transform: rotatez(<?php echo $weather["wind_direction"] + 45; ?>deg);

        }

        .thearrow2:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -2px;
            width: 0;
            height: 0;
            border-left: 12px solid transparent;
            border-right: 12px solid transparent;
            border-top: 24px solid <?php
                                    if ($weather["wind_direction"] <= 11.25) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 33.75) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 56.25) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 78.75) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 101.25) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 123.75) {
                                        echo "var(--temp15-20)";
                                    } else if ($weather["wind_direction"] <= 146.25) {
                                        echo "var(--temp15-20)";
                                    } else if ($weather["wind_direction"] <= 168.75) {
                                        echo "var(--temp15-20)";
                                    } else if ($weather["wind_direction"] <= 191.25) {
                                        echo "var(--temp15-20)";
                                    } else if ($weather["wind_direction"] <= 213.75) {
                                        echo "var(--temp20-25)";
                                    } else if ($weather["wind_direction"] <= 236.25) {
                                        echo "var(--temp20-25)";
                                    } else if ($weather["wind_direction"] <= 258.75) {
                                        echo "var(--temp20-25)";
                                    } else if ($weather["wind_direction"] <= 281.25) {
                                        echo "var(--temp20-25)";
                                    } else if ($weather["wind_direction"] <= 303.75) {
                                        echo "var(--temp20-25)";
                                    } else if ($weather["wind_direction"] <= 326.25) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather["wind_direction"] <= 348.75) {
                                        echo "var(--alternative-blue)";
                                    } else if ($weather['wind_direction'] <= 360) {
                                        echo "var(--alternative-blue)";
                                    } ?>;
            -webkit-transform: translate(-50%, -45%);
            -moz-transform: translate(-50%, -45%);
            -o-transform: translate(-50%, -45%);
            -ms-transform: translate(-50%, -45%);
            transform: translate(-50%, -45%);

        }


        .thearrow5 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
        }

        .thearrow5:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -26px;
            font-size: 8px;
            background: none;
            width: 0;
            height: 0;
            color: var(--body-text-dark);
            -webkit-transform: rotatez(2deg);
            transform: rotatez(2deg);
            margin-left: -5px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }


        .thearrow1 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
        }

        .thearrow1:after {
            content: "<?php echo number_format($directionchange, 0) ?>°";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -26px;
            font-size: 8px;
            background: none;
            font-family: verb;
            width: 0;
            height: 0;
            color: var(--body-text-dark);
            -webkit-transform: rotatez(0deg);
            transform: rotatez(0deg);
            margin-left: -5px;


        }

        


        spancalm {
            position: relative;
            font-family: headingtext;
            font-size: 26px;
        }
    </style>
</head>


<div class="todaysavgbox" style='font-size:12px;'>
    <?php //trend phrase
    echo "<alternativeblue>";
    if ($weather['wind_direction_avgday'] <= 11.25) {
        echo "<alternativeblue>North</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 33.75) {
        echo "<alternativeblue>NNE</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 56.25) {
        echo "<alternativeblue>NE</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 78.75) {
        echo "<alternativeblue>ENE</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 101.25) {
        echo "<alternativeblue>East</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 123.75) {
        echo "<icon-16-20>ESE</icon-16-20>";
    } else if ($weather['wind_direction_avgday'] <= 146.25) {
        echo "<icon-16-20>SE</icon-16-20>";
    } else if ($weather['wind_direction_avgday'] <= 168.75) {
        echo "<icon-16-20>SSE</icon-16-20>";
    } else if ($weather['wind_direction_avgday'] <= 191.25) {
        echo "<icon-16-20>South</icon-16-20>";
    } else if ($weather['wind_direction_avgday'] <= 213.75) {
        echo "<icon-21-25>SSW</icon-21-25>";
    } else if ($weather['wind_direction_avgday'] <= 236.25) {
        echo "<icon-21-25>SW</icon-21-25>";
    } else if ($weather['wind_direction_avgday'] <= 258.75) {
        echo "<icon-21-25>WSW</icon-21-25>";
    } else if ($weather['wind_direction_avgday'] <= 281.25) {
        echo "<icon-21-25>West</icon-21-25>";
    } else if ($weather['wind_direction_avgday'] <= 303.75) {
        echo "<icon-21-25>WNW</icon-21-25>";
    } else if ($weather['wind_direction_avgday'] <= 326.25) {
        echo "<alternativeblue>NW</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 348.75) {
        echo "<alternativeblue>NNW</alternativeblue>";
    } else if ($weather['wind_direction_avgday'] <= 360) {
        echo "<alternativeblue>North</alternativeblue>";
    }
    echo "</alternativeblue><windunittabletmax style='position:relative;text-transform:none;font-size:10px;margin-left:3px'>" . $weather['wind_direction_avgday'] . "&deg</windunittabletmax>";
    echo "<windunittabletdavg2>Avg Today</windunittabletdavg2>";
    ?>
</div>



<div class="todaysmaxbox" style='font-size:12px;'>
    <?php //10 min Average
    echo "<barometervalue>";
    if ($weather['wind_direction_avg'] <= 11.25) {
        echo "<alternativeblue>North</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 33.75) {
        echo "<alternativeblue>NNE</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 56.25) {
        echo "<alternativeblue>NE</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 78.75) {
        echo "<alternativeblue>ENE</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 101.25) {
        echo "<alternativeblue>East</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 123.75) {
        echo "<icon-16-20>ESE</icon-16-20>";
    } else if ($weather['wind_direction_avg'] <= 146.25) {
        echo "<icon-16-20>SE</icon-16-20>";
    } else if ($weather['wind_direction_avg'] <= 168.75) {
        echo "<icon-16-20>SSE</icon-16-20>";
    } else if ($weather['wind_direction_avg'] <= 191.25) {
        echo "<icon-16-20>South</icon-16-20>";
    } else if ($weather['wind_direction_avg'] <= 213.75) {
        echo "<icon-21-25>SSW</icon-21-25>";
    } else if ($weather['wind_direction_avg'] <= 236.25) {
        echo "<icon-21-25>SW</icon-21-25>";
    } else if ($weather['wind_direction_avg'] <= 258.75) {
        echo "<icon-21-25>WSW</icon-21-25>";
    } else if ($weather['wind_direction_avg'] <= 281.25) {
        echo "<icon-21-25>West</icon-21-25>";
    } else if ($weather['wind_direction_avg'] <= 303.75) {
        echo "<icon-21-25>WNW</icon-21-25>";
    } else if ($weather['wind_direction_avg'] <= 326.25) {
        echo "<alternativeblue>NW</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 348.75) {
        echo "<alternativeblue>NNW</alternativeblue>";
    } else if ($weather['wind_direction_avg'] <= 360) {
        echo "<alternativeblue>North</alternativeblue>";
    }
    echo "</barometervalue><windunittabletmax style='position:relative;text-transform:none;font-size:10px;margin-left:3px'>" . $weather['wind_direction_avg'] . "&deg</windunittabletmax>";
    echo "<windunittabletdavg2>10 Min Avg</windunittabletdavg2>";
    ?>
</div>



<div class="todaysminbox" style='font-size:12px;'>
    <?php //month average
    if ($weather['wind_direction_avgmonth'] <= 11.25) {
        echo "<alternativeblue>North</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 33.75) {
        echo "<alternativeblue>NNE</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 56.25) {
        echo "<alternativeblue>NE</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 78.75) {
        echo "<alternativeblue>ENE</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 101.25) {
        echo "<alternativeblue>East</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 123.75) {
        echo "<icon-16-20>ESE</icon-16-20>";
    } else if ($weather['wind_direction_avgmonth'] <= 146.25) {
        echo "<icon-16-20>SE</icon-16-20>";
    } else if ($weather['wind_direction_avgmonth'] <= 168.75) {
        echo "<icon-16-20>SSE</icon-16-20>";
    } else if ($weather['wind_direction_avgmonth'] <= 191.25) {
        echo "<icon-16-20>South</icon-16-20>";
    } else if ($weather['wind_direction_avgmonth'] <= 213.75) {
        echo "<icon-21-25>SSW</icon-21-25>";
    } else if ($weather['wind_direction_avgmonth'] <= 236.25) {
        echo "<icon-21-25>SW</icon-21-25>";
    } else if ($weather['wind_direction_avgmonth'] <= 258.75) {
        echo "<icon-21-25>WSW</icon-21-25>";
    } else if ($weather['wind_direction_avgmonth'] <= 281.25) {
        echo "<icon-21-25>West</icon-21-25>";
    } else if ($weather['wind_direction_avgmonth'] <= 303.75) {
        echo "<icon-21-25>WNW</icon-21-25>";
    } else if ($weather['wind_direction_avgmonth'] <= 326.25) {
        echo "<alternativeblue>NW</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 348.75) {
        echo "<alternativeblue>NNW</alternativeblue>";
    } else if ($weather['wind_direction_avgmonth'] <= 360) {
        echo "<alternativeblue>North</alternativeblue>";
    }
    echo "<windunittabletmax style='position:relative;text-transform:none;font-size:10px;margin-left:3px'>" . $weather['wind_direction_avgmonth'] . "&deg</windunittabletmax>";
    echo "<windunittabletdavg2>Avg " . date('M') . "</windunittabletdavg2>";
    ?>
</div>

<div class="compassposition" style="margin-left:7px;margin-top:-3px">
    <div class="weather34compassring"></div>
    <div class="weather34compassgrid"></div>
    <div class="homeweathercompass1">

        <div class="weather34north">N</div>
        <div class="weather34-0deg">0&deg;</div>
        <div class="weather34-45deg">45&deg;</div>
        <div class="weather34-ne">NE</div>

        <div class="weather34east">E</div>
        <div class="weather34-90deg">90&deg;</div>
        <div class="weather34-135deg">135&deg;</div>
        <div class="weather34-se">SE</div>

        <div class="weather34south">S</div>
        <div class="weather34-180deg">180&deg;</div>
        <div class="weather34-225deg">225&deg;</div>
        <div class="weather34-sw">SW</div>

        <div class="weather34west">W</div>
        <div class="weather34-270deg">270&deg;</div>
        <div class="weather34-315deg">315&deg;</div>
        <div class="weather34-nw">NW</div>

        <div class="homeweathercompass-line1">
            <div class="thearrow2"></div>
            <div class="thearrow5"></div>                  
            <div class="thearrow1"></div>

            <div class="weather34windbezel">
                <div class="weather34windbezel1">
                    <div class="circleborder4"></div>
                </div>
            </div>
        </div>
        <div class="windirectiontext2">
            <barometervalue><?php echo $weather["wind_direction"], "<windbearingdegreesymbol>&deg</windbearingdegreesymbol></barometervalue>"; ?>
        </div>
    </div>
</div>
</div>
</div>

<div class="windirectionphrases" style="font-size:20px;margin-top:-75px;margin-left:-40px">
    <?php //direction words big
    if ($weather["wind_direction"] <= 11.25) {
        echo "Due<br><alternativeblue>North<br></alternativeblue>";
    } else if ($weather["wind_direction"] <= 33.75) {
        echo "North<br>North<br><alternativeblue>East</alternativeblue>";
    } else if ($weather["wind_direction"] <= 56.25) {
        echo "North<br><alternativeblue>East<br></alternativeblue>";
    } else if ($weather["wind_direction"] <= 78.75) {
        echo "East<br>North<br><alternativeblue>East</alternativeblue>";
    } else if ($weather["wind_direction"] <= 101.25) {
        echo "Due<br><alternativeblue>East<br></alternativeblue>";
    } else if ($weather["wind_direction"] <= 123.75) {
        echo "East<br>South<br><icon-16-20>East</icon-16-20>";
    } else if ($weather["wind_direction"] <= 146.25) {
        echo "South<br><icon-16-20>East</icon-16-20>";
    } else if ($weather["wind_direction"] <= 168.75) {
        echo "South<br>South<br><icon-16-20>East</icon-16-20>";
    } else if ($weather["wind_direction"] <= 191.25) {
        echo "Due<br><icon-16-20>South</icon-16-20>";
    } else if ($weather["wind_direction"] <= 213.75) {
        echo "South<br>South<br><icon-21-25>West</icon-21-25>";
    } else if ($weather["wind_direction"] <= 236.25) {
        echo "South<br><icon-21-25>West</icon-21-25>";
    } else if ($weather["wind_direction"] <= 258.75) {
        echo "West<br>South<br><icon-21-25>West</icon-21-25>";
    } else if ($weather["wind_direction"] <= 281.25) {
        echo "Due<br><icon-21-25>West</icon-21-25>";
    } else if ($weather["wind_direction"] <= 303.75) {
        echo "West<br>North<br><icon-21-25>West</icon-21-25>";
    } else if ($weather["wind_direction"] <= 326.25) {
        echo "North<br><alternativeblue>West</alternativeblue>";
    } else if ($weather["wind_direction"] <= 348.75) {
        echo "North<br>North<br><alternativeblue>West</alternativeblue>";
    } else {
        echo "Due<br><alternativeblue>North</alternativeblue>";
    } ?>
</div>

<div class='chartdatadirectionicon'><a href='winddir-almanac2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtablet ?></a></div>