<?php  include('livedata.php');
date_default_timezone_set($TZ);
    #################################################################
    #	CREATED FOR WEATHER34 AURORA MKII									   
    # 											   
    # 	                                                                                               
    # 	Revised: DECEMEBER 2020					Air Quality Purple Air        REVISED June 2022    
    #   weather34 	                                                                  
    ###################################################################

   //2022 Weather34 Purple Air new API format
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm_a'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
    $a=""; if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
    $a=""; if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
    	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];

?>
<div class="modulecaption2">Purple Air </div>
<uvheading style="margin-left:-35px">PM2.5 (EPA)</uvheading>
<div class="button button-dialrain">               
 <div class="button-dial-toprain"></div>
<div class="button-dial-label"> 
<?php echo "<uvreadings style='background:";
if ($aqiweather["aqi"]>=300 ){echo 'var(--purple)';}
elseif ($aqiweather["aqi"]>=250 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=150 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=100 ){echo 'var(--orange)';}
elseif ($aqiweather["aqi"]>=50 ){echo 'var(--yellow)';}
elseif ($aqiweather["aqi"]>0 ){echo 'var(--green)';}
echo "'>";
echo "<uvopacity>".number_format($aqiweather["aqi"],1)."</uvopacity></uvreadings";
?>  
</div></div></div>

<div class="weather34i-rairate-bar2" >
<div id="raincontainer2">
<div id="weather34rainbeaker2">
  <?php //scale
  echo "<volume>300+ <br>250 <br>200 <br>150 <br>100 <br> </volume>";  
  ?>
<div id="weather34rainwater2" style="height:<?php 

if ($aqiweather["aqi"]>200){echo $aqiweather["aqi"]*0.16;}
else if ($aqiweather["aqi24h"]>150){echo $aqiweather["aqi"]*0.15;}
else if ($aqiweather["aqi"]>100){echo $aqiweather["aqi"]*0.14;}
else echo $aqiweather["aqi"]*0.10;?>pt;
opacity:0.7;background:
<?php //color
if ($aqiweather["aqi"]>=300 ){echo 'var(--purple)';}
elseif ($aqiweather["aqi"]>=250 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=150 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=100 ){echo 'var(--orange)';}
elseif ($aqiweather["aqi"]>=50 ){echo 'var(--yellow)';}
elseif ($aqiweather["aqi"]>0 ){echo 'var(--green)';}
?>">        
</div></div></div>

<div class="second24hourguage">
  <?php echo "<solarheading style='margin-left:-35px'>24H Average</solarheading>";?>
<div class="button button-dialrain">               
 <div class="button-dial-toprain"></div>
<div class="button-dial-label"> 
<?php echo "<uvreadings style='background:";
if ($aqiweather["aqi24h"]>=300 ){echo 'var(--purple)';}
elseif ($aqiweather["aqi24h"]>=250 ){echo 'var(--red)';}
elseif ($aqiweather["aqi24h"]>=150 ){echo 'var(--red)';}
elseif ($aqiweather["aqi24h"]>=100 ){echo 'var(--orange)';}
elseif ($aqiweather["aqi24h"]>=50 ){echo 'var(--yellow)';}
elseif ($aqiweather["aqi24h"]>0 ){echo 'var(--green)';}
echo "'>";
echo "<uvopacity>".number_format($aqiweather["aqi24h"],1)."</uvopacity></uvreadings";
?>  
</div></div></div>
<div class="weather34i-rairate-bar2">
<div id="raincontainer2">
<div id="weather34rainbeaker2">
  <?php //relative scale
  echo "<volume>300+ <br>250 <br>200 <br>150 <br>100 <br> </volume>";  
  ?>
<div id="weather34rainwater2" style="height:<?php 
if ($aqiweather["aqi24h"]>200){echo $aqiweather["aqi24h"]*0.16;}
else if ($aqiweather["aqi24h"]>150){echo $aqiweather["aqi24h"]*0.15;}
else if ($aqiweather["aqi24h"]>100){echo $aqiweather["aqi24h"]*0.14;}
else echo $aqiweather["aqi24h"]*0.10;
?>pt;opacity:0.7;background:
<?php //color
if ($aqiweather["aqi24h"]>=300 ){echo 'var(--purple)';}
elseif ($aqiweather["aqi24h"]>=250 ){echo 'var(--red)';}
elseif ($aqiweather["aqi24h"]>=150 ){echo 'var(--red)';}
elseif ($aqiweather["aqi24h"]>=100 ){echo 'var(--orange)';}
elseif ($aqiweather["aqi24h"]>=50 ){echo 'var(--yellow)';}
elseif ($aqiweather["aqi24h"]>0 ){echo 'var(--green)';}?>">        
</div></div></div></div></div></div></div>

<div class="rainrateextra1">
<div class=extrainfo2 style="margin-top:15px"><a href='purple-air-almanac2.php' data-lity data-title="Air Quality Data"><?php echo  $chartlinks."&nbsp;Extra Data"?></a></div></div>
<div class="weather-tempicon-identity"></div></div>
