<?php 
	########################################################
	#	CREATED FOR WEATHER34 Aurora MKII TEMPLATE  		              						                
	# 											                        
	# 	                                                                                               
	# 	Release: July 2021 Version Aurora MKII 	REVISED June 2022   			  	                                           
	########################################################
include('livedata.php');header('Content-type: text/html; charset=utf-8');
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm_a'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
    $aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $a=""; 
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
    $a=""; if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
?>



<div class="sunblock">
<div style="font-size:12px;width:fit-content; justify-content: space-evenly;  align-items: center;text-align: center;font-family:verb;margin-top:-25px;padding-left:10px;
color:var(--body-text-dark);">Purple Air Quality(EPA)</div>



<div class='infoicon-wrapper'>
<div class='smallmoduleinfo'>
<a href="purple-air-almanac2.php" data-lity 
<?php //air quality caution
if($aqiweather["aqi"]>=300){echo 'data-uv10="Hazordous"';}
else if($aqiweather["aqi"]>=200){echo 'data-uv8="Very Unhealthy"';}
else if($aqiweather["aqi"]>=150){echo 'data-uv8="Unhealthy"';}
else if($aqiweather["aqi"]>=100){echo 'data-uv5="Caution &nbsp;"';}
else if($aqiweather["aqi"]>=50){echo 'data-uv3="Moderate"';}
else if($aqiweather["aqi"]>=0){echo 'data-uv0="No Risk &nbsp;&nbsp;&nbsp;"';}
echo '">';echo $smalltabletinfo;?>
</div></div></a>


<div class="button-dial-label-small" style="font-size:50px;width:fit-content; justify-content: space-evenly; 
 align-items: center;text-align: center;font-family:verb;margin-top:-30px;margin-left:-140px" >    
 
<?php 
if ($aqiweather["aqi"]>=300 ){echo "<purple>". $aqiweather["aqi"]."</purple>";}
else if ($aqiweather["aqi"]>=150 ){echo '<red>'. $aqiweather["aqi"]."</red>";}
else if ($aqiweather["aqi"]>=100 ){echo '<orange>'. $aqiweather["aqi"]."</orange>";}
else if ($aqiweather["aqi"]>=50 ){echo '<yellow>'. $aqiweather["aqi"]."</yellow>";}
else if ($aqiweather["aqi"]>=0 ){echo '<green>'. $aqiweather["aqi"]."</green>";}
echo "<smallrainunit2aq><grey>PM2.5</grey></smallrainunit2aq>";
?>
</div>
</div>
<?php if ($aqiweather["voc"]>0){;?>
<div class="button-dial-label-small" style="font-size:26px;width:fit-content; justify-content: space-evenly; 
 align-items: center;text-align: center;font-family:verb;margin-top:-55px;margin-left:200px" >  
 <smalltrainunittablet3>Particle CO2</smalltrainunittablet3> 
<?php 
if($aqiweather["voc"] >=5000){ echo "<purple>".$aqiweather["voc"]."</purple>";}
else if($aqiweather["voc"] >=2000){ echo "<red>".$aqiweather["voc"]."</red>";}
else if($aqiweather["voc"] >=1500){ echo "<yellow>".$aqiweather["voc"]."</yellow>";}
else if($aqiweather["voc"] >=100){ echo "<green>".$aqiweather["voc"]."</green>";}
else if($aqiweather["voc"] >=10){ echo "<green> ".number_format($aqiweather["voc"],1)."</green>";}
else if($aqiweather["voc"] >=0){ echo " <green> ".number_format($aqiweather["voc"],1)."</green>";}
else echo "<orange>N/A</orange>";
echo "<smallrainunit><grey></grey></smallrainunit>";?>
</div></div>
<?php ;}?>




<?php if ($aqiweather["voc"]<1 && $aqiweather["aqipm10"]>0){;?>
<div class="button-dial-label-small" style="font-size:26px;width:fit-content; justify-content: space-evenly; 
 align-items: center;text-align: center;font-family:verb;margin-top:-55px;margin-left:200px" >  
 <smalltrainunittablet3>Particle PM-10</smalltrainunittablet3> 
<?php 
if ($aqiweather["aqipm10"]>=300 ){echo '<purple>'.number_format($aqiweather["aqipm10"],0).'</purple>';}
else if ($aqiweather["aqipm10"]>=150 ){echo '<red>'.number_format($aqiweather["aqipm10"],0).'</red>';}
elseif ($aqiweather["aqipm10"]>=100 ){echo '<orange>'.number_format($aqiweather["aqipm10"],0).'</orange>';}
elseif ($aqiweather["aqipm10"]>=50 ){echo '<yellow>'.$aqiweather["aqipm10"].'</yellow>';}
elseif ($aqiweather["aqipm10"]>=0 ){echo '<green>'.$aqiweather["aqipm10"].'</green>';}
echo "<smallrainunit><grey></grey></smallrainunit>";?>
</div></div><?php ;}?>


