<?php include('livedata.php');
date_default_timezone_set($TZ);
#########################################################
#	CREATED FOR Weather34                               										  
# 
# 	Revised: October 2020   		REVISED June 2022   		  	            
# 	                                          
#   weather34 	                                                                  
########################################################
//2022 Weather34 Purple Air new API format

$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm_a'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
    $aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $a=""; 
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
?>

<div class="sunblock">
    <div class="indoordesc5">VOC</div>
    <div class="button button-dial-small">
        <div class="button-dial-top-small"></div>
        <div class="button-dial-label-small">
            <?php //voc
            if ($aqiweather["voc"] >= 5000) {
                echo "<red>" . $aqiweather["voc"] . "</red>";
            } else if ($aqiweather["voc"] >= 2000) {
                echo "<orange>" . $aqiweather["voc"] . "</orange>";
            } else if ($aqiweather["voc"] >= 1500) {
                echo "<yellow>" . $aqiweather["voc"] . "</yellow>";
            } else if ($aqiweather["voc"] > 0) {
                echo "<green>" . $aqiweather["voc"] . "</green>";
            } else if ($aqiweather["voc"] == '') {
                echo "<orange>N/A</orange>";
            } else echo "0";
            echo "  <pm25>  </pm25>"; ?>



            <?php //AQI
            echo "<indoorpm2 style='margin:auto'>VOC</indoorpm2>"; ?>
        </div>

        <div class="indoortempa-mod2aqi">
            <valuetextheadingindoor>
                <?php // weather34 simple css indoor temp scale 
                if ($aqiweather["voc"] >= 5000) {
                    echo "0 1000 2000 3000 4000 <red>" . round($aqiweather["voc"], 1) . "</red> ";
                } else if ($aqiweather["voc"] >= 2000) {
                    echo "0 100 500 1000 1500 <orange>" . round($aqiweather["voc"], 1) . "</orange> ";
                } else if ($aqiweather["voc"] >= 1500) {
                    echo "0 100 500 1000 1200 <yellow>" . round($aqiweather["voc"], 1) . "</yellow> ";
                } else if ($aqiweather["voc"] > 1000) {
                    echo "0 200 500 700 800 <green>" . round($aqiweather["voc"], 1) . "</green> ";
                } else if ($aqiweather["voc"] > 500) {
                    echo "0 200 500 <green>" . number_format($aqiweather["voc"], 1) . "</green> 1000 1500";
                } else if ($aqiweather["voc"] > 300) {
                    echo "0 200 <green>" . number_format($aqiweather["voc"], 0) . "</green> 500 1000 1500";
                } else if ($aqiweather["voc"] > 200) {
                    echo "0 50 <green>" . number_format($aqiweather["voc"], 0) . "</green> 200 300 400 500";
                } else if ($aqiweather["voc"] > 100) {
                    echo "0 50 <green>" . number_format($aqiweather["voc"], 0) . "</green> 200 300 400 500";
                } else if ($aqiweather["voc"] > 0) {
                    echo "<green>" . number_format($aqiweather["voc"], 0) . "</green> 100 200 300 400 500";
                } else echo "<orange>Not Avalaible</orange>";


                ?>
            </valuetextheadingindoor>
            <div class=sunratebar>
                <div class="weather34sunratebar" style="width:
<?php echo $aqiweather["voc"] * 0.090; ?>px;
background:
<?php
if ($aqiweather["voc"] >= 5000) {
    echo '#d35f50';
} elseif ($aqiweather["voc"] > 2000) {
    echo ' #d87040';
} elseif ($aqiweather["voc"] > 1500) {
    echo '#e6a241';
} elseif ($aqiweather["voc"] > 0) {
    echo '#9bbc2f';
}
?>;">
                </div>
            </div>
        </div>
        <div class="indoortempa-mod3aqi">

            <?php
            //air description
            echo '';
            if ($aqiweather["voc"] >= 5000) {
                echo "Warning Unhealthy ";
            } else if ($aqiweather["voc"] >= 2000) {
                echo "Unhealthy Situation";
            } else if ($aqiweather["voc"] >= 1500) {
                echo "Moderate Risk";
            } else if ($aqiweather["voc"] > 0) {
                echo "No Risk";
            }

            ?></div>
    </div>
</div>