<?php 
  ######################################################### 
	#	Aurora MKII Sun Info data by BRIAN UNDERDOWN 2015-21       
	#	CREATED FOR HOMEWEATHERSTATION TEMPLATE at 
  #   				                                                           
	# 	   released April 2021  Revised November 2021                                                                         
	#   weather34 	                                                                   
	########################################################
   include('updater-almanac.php');
   include('livedata.php');
if ($clockformat=='12'){$timeformat= 'g:i' ;}
if ($clockformat=='24'){$timeformat= 'H:i' ;}
$TZconf = $TZ; 
$rise_zenith = 90+ 40/60;  
$set_zenith = 90+ 36/60; 
date_default_timezone_set($TZ);
$result = date_sun_info(time(), $lat, $lon);time();
$sunrisetoday= date_sunrise(time(), SUNFUNCS_RET_STRING, $lat, $lon, $rise_zenith, $UTC);
$sunsetoday= date_sunset(time(), SUNFUNCS_RET_STRING, $lat, $lon, $rise_zenith, $UTC);
$nextday = time() + 24*60*60;$result2 = date_sun_info($nextday,$lat, $lon);
	class Moon{ public static function calculateMoonTimes($month,$day,$year,$lat,$lon){$utrise=$utset=0;$timezone=(int)($lon / 15);
	$date=self::modifiedJulianDate($month,$day,$year);$date-=$timezone / 24;$latRad=deg2rad($lat);$sinho=0.0023271056;
	$sglat=sin($latRad);$cglat=cos($latRad);$rise=false;$set=false;$above=false;$hour=0;$ym=self::sinAlt($date,$hour ,$lon,$cglat,$sglat)- $sinho;$above=$ym>0;
	while($hour<25&&(false==$set||false==$rise)){$yz=self::sinAlt($date,$hour,$lon,$cglat,$sglat)- $sinho;$yp=self::sinAlt($date,$hour + 1,$lon,$cglat,$sglat)- $sinho;
	$quadout=self::quad($ym,$yz,$yp);$nz=$quadout[0];$z1=$quadout[1];$z2=$quadout[2];$xe=$quadout[3];$ye=$quadout[4];
	if($nz==1){if($ym<0){$utrise=$hour + $z1;$rise=true;}else{$utset=$hour + $z1;$set=true;}}if($nz==2){if($ye<0){$utrise=$hour + $z2;$utset=$hour + $z1;}
	else{$utrise=$hour + $z1;$utset=$hour + $z2;}}$ym=$yp;$hour+=2.0;}$retVal=new stdClass();
	$utrise=self::convertTime($utrise);$utset=self::convertTime($utset);$retVal->moonrise=$rise?mktime($utrise['hrs'],$utrise['min'],0,$month,$day,$year):mktime(0,0,0,$month,$day + 1,$year);
	$retVal->moonset=$set?mktime($utset['hrs'],$utset['min'],0,$month,$day,$year):mktime(0,0,0,$month,$day + 1,$year);return $retVal;} 
	private static function quad($ym,$yz,$yp){$nz=$z1=$z2=0;$a=0.5 *($ym + $yp)- $yz;$b=0.5 *($yp - $ym);$c=$yz;$xe=-$b /(2 * $a);$ye=($a * $xe + $b)* $xe + $c;$dis=$b * $b - 4 * $a * $c;
	if($dis>0){$dx=0.5 * sqrt($dis)/ abs($a);$z1=$xe - $dx;$z2=$xe + $dx;$nz=abs($z1)<1?$nz + 1:$nz;$nz=abs($z2)<1?$nz + 1:$nz;$z1=$z1<-1?$z2:$z1;}return array($nz,$z1,$z2,$xe,$ye);} 
	private static function sinAlt($mjd,$hour,$glon,$cglat,$sglat){$mjd+=$hour / 24;$t=($mjd - 51544.5)/ 36525;$objpos=self::minimoon($t);$ra=$objpos[1];$dec=$objpos[0];$decRad=deg2rad($dec);
	$tau=15 *(self::lmst($mjd,$glon)- $ra);return $sglat * sin($decRad)+ $cglat * cos($decRad)* cos(deg2rad($tau));} 
	private static function degRange($x){$b=$x / 360;$a=360 *($b -(int)$b);$retVal=$a<0?$a + 360:$a;return $retVal;} 
	private static function lmst($mjd,$glon){$d=$mjd - 51544.5;$t=$d / 36525;$lst=self::degRange(280.46061839 + 360.98564736629 * $d + 0.000387933 * $t * $t - $t * $t * $t / 38710000);
	return $lst / 15 + $glon / 15;} private static function minimoon($t){$p2=6.283185307;$arc=206264.8062;$coseps=0.91748;$sineps=0.39778;
	$lo=self::frac(0.606433 + 1336.855225 * $t);$l=$p2 * self::frac(0.374897 + 1325.552410 * $t);$l2=$l * 2;$ls=$p2 * self::frac(0.993133 + 99.997361 * $t);
	$d=$p2 * self::frac(0.827361 + 1236.853086 * $t);$d2=$d * 2;$f=$p2 * self::frac(0.259086 + 1342.227825 * $t);$f2=$f * 2;$sinls=sin($ls);$sinf2=sin($f2);$dl=22640 * sin($l);$dl+=-4586 * sin($l - $d2);$dl+=2370 * sin($d2);$dl+=769 * sin($l2);$dl+=-668 * $sinls;$dl+=-412 * $sinf2;$dl+=-212 * sin($l2 - $d2);$dl+=-206 * sin($l + $ls - $d2);$dl+=192 * sin($l + $d2);$dl+=-165 * sin($ls - $d2);$dl+=-125 * sin($d);$dl+=-110 * sin($l + $ls);$dl+=148 * sin($l - $ls);$dl+=-55 * sin($f2 - $d2);$s=$f +($dl + 412 * $sinf2 + 541 * $sinls)/ $arc;$h=$f - $d2;$n=-526 * sin($h);$n+=44 * sin($l + $h);$n+=-31 * sin(-$l + $h);$n+=-23 * sin($ls + $h);$n+=11 * sin(-$ls + $h);$n+=-25 * sin(-$l2 + $f);$n+=21 * sin(-$l + $f);$L_moon=$p2 * self::frac($lo + $dl / 1296000);$B_moon=(18520.0 * sin($s)+ $n)/ $arc;$cb=cos($B_moon);$x=$cb * cos($L_moon);$v=$cb * sin($L_moon);$w=sin($B_moon);$y=$coseps * $v - $sineps * $w;$z=$sineps * $v + $coseps * $w;$rho=sqrt(1 - $z * $z);$dec=(360 / $p2)* atan($z / $rho);$ra=(48 / $p2)* atan($y /($x + $rho));$ra=$ra<0?$ra + 24:$ra;return array($dec,$ra);} private static function frac($x){$x-=(int)$x;return $x<0?$x + 1:$x;} private static function modifiedJulianDate($month,$day,$year){if($month<=2){$month+=12;$year--;}$a=10000 * $year + 100 * $month + $day;$b=0;if($a<=15821004.1){$b=-2 *(int)(($year + 4716)/ 4)- 1179;}else{$b=(int)($year / 400)-(int)($year / 100)+(int)($year / 4);}$a=365 * $year - 679004;return $a + $b +(int)(30.6001 *($month + 1))+ $day;} private static function convertTime($hours){include('settings.php');$hrs=(int)($hours * 60 + 0.5)/ 60.0;$h=(int)($hrs);$m=(int)(60 *($hrs - $h)+ 0.5);return array('hrs'=>$h + $moonadj,'min'=>$m);} } $Moon=Moon::calculateMoonTimes($months,$days,$years,$lat,$lon); $MoonRise=$Moon->moonrise; $MoonSet=$Moon->moonset; $MoonRise=date($MoonRise); $MoonSet=date($MoonSet); class MoonPhase{ private $timestamp; private $phase; private $illum; private $age; private $dist; private $angdia; private $sundist; private $sunangdia; private $synmonth; private $quarters=null; function __construct($pdate=null){if(is_null($pdate))$pdate=time();$epoch=2444238.5;$elonge=278.833540;$elongp=282.596403;$eccent=0.016718;$sunsmax=1.495985e8;$sunangsiz=0.533128;$mmlong=64.975464;$mmlongp=349.383063;$mlnode=151.950429;$minc=5.145396;$mecc=0.054900;$mangsiz=0.5181;$msmax=384401;$mparallax=0.9507;$synmonth=29.53058868;$zenith=90+(50/60);$this->synmonth=$synmonth;$lunatbase=2423436.0;$this->timestamp=$pdate;$pdate=$pdate / 86400 + 2440587.5;$Day=$pdate - $epoch;$N=$this->fixangle((360 / 365.2422)* $Day);$M=$this->fixangle($N + $elonge - $elongp);$Ec=$this->kepler($M,$eccent);$Ec=sqrt((1 + $eccent)/(1 - $eccent))* tan($Ec / 2);$Ec=2 * rad2deg(atan($Ec));$Lambdasun=$this->fixangle($Ec + $elongp);$F=((1 + $eccent * cos(deg2rad($Ec)))/(1 - $eccent * $eccent));$SunDist=$sunsmax / $F;$SunAng=$F * $sunangsiz;$ml=$this->fixangle(13.1763966 * $Day + $mmlong);$MM=$this->fixangle($ml - 0.1114041 * $Day - $mmlongp);$MN=$this->fixangle($mlnode - 0.0529539 * $Day);$Ev=1.2739 * sin(deg2rad(2 *($ml - $Lambdasun)- $MM));$Ae=0.1858 * sin(deg2rad($M));$A3=0.37 * sin(deg2rad($M));$MmP=$MM + $Ev - $Ae - $A3;$mEc=6.2886 * sin(deg2rad($MmP));$A4=0.214 * sin(deg2rad(2 * $MmP));$lP=$ml + $Ev + $mEc - $Ae + $A4;$V=0.6583 * sin(deg2rad(2 *($lP - $Lambdasun)));$lPP=$lP + $V;$NP=$MN - 0.16 * sin(deg2rad($M));$y=sin(deg2rad($lPP - $NP))* cos(deg2rad($minc));$x=cos(deg2rad($lPP - $NP));$Lambdamoon=rad2deg(atan2($y,$x))+ $NP;$BetaM=rad2deg(asin(sin(deg2rad($lPP - $NP))* sin(deg2rad($minc))));$MoonAge=$lPP - $Lambdasun;$MoonPhase=(1 - cos(deg2rad($MoonAge)))/ 2;$MoonDist=($msmax *(1 - $mecc * $mecc))/(1 + $mecc * cos(deg2rad($MmP + $mEc)));$MoonDFrac=$MoonDist / $msmax;$MoonAng=$mangsiz / $MoonDFrac;$this->phase=$this->fixangle($MoonAge)/ 360;$this->illum=$MoonPhase;$this->age=$synmonth * $this->phase;$this->dist=$MoonDist;$this->angdia=$MoonAng;$this->sundist=$SunDist;$this->sunangdia=$SunAng;} private function fixangle($a){return($a - 360 * floor($a / 360));} private function kepler($m,$ecc){$epsilon=0.000001;$e=$m=deg2rad($m);do{$delta=$e - $ecc * sin($e)- $m;$e-=$delta /(1 - $ecc * cos($e));}while(abs($delta)>$epsilon);return $e;} private function meanphase($sdate,$k){$t=($sdate - 2415020.0)/ 36525;$t2=$t * $t;$t3=$t2 * $t;$nt1=2415020.75933 + $this->synmonth * $k + 0.0001178 * $t2 - 0.000000155 * $t3 + 0.00033 * sin(deg2rad(166.56 + 132.87 * $t - 0.009173 * $t2));return $nt1;} private function truephase($k,$phase){$apcor=false;$k+=$phase;$t=$k / 1236.85;$t2=$t * $t;$t3=$t2 * $t;$pt=2415020.75933 + $this->synmonth * $k + 0.0001178 * $t2 - 0.000000155 * $t3 + 0.00033 * sin(deg2rad(166.56 + 132.87 * $t - 0.009173 * $t2));$m=359.2242 + 29.10535608 * $k - 0.0000333 * $t2 - 0.00000347 * $t3;$mprime=306.0253 + 385.81691806 * $k + 0.0107306 * $t2 + 0.00001236 * $t3;$f=21.2964 + 390.67050646 * $k - 0.0016528 * $t2 - 0.00000239 * $t3;if($phase<0.01||abs($phase - 0.5)<0.01){$pt+=(0.1734 - 0.000393 * $t)* sin(deg2rad($m))+ 0.0021 * sin(deg2rad(2 * $m))- 0.4068 * sin(deg2rad($mprime))+ 0.0161 * sin(deg2rad(2 * $mprime))- 0.0004 * sin(deg2rad(3 * $mprime))+ 0.0104 * sin(deg2rad(2 * $f))- 0.0051 * sin(deg2rad($m + $mprime))- 0.0074 * sin(deg2rad($m - $mprime))+ 0.0004 * sin(deg2rad(2 * $f + $m))- 0.0004 * sin(deg2rad(2 * $f - $m))- 0.0006 * sin(deg2rad(2 * $f + $mprime))+ 0.0010 * sin(deg2rad(2 * $f - $mprime))+ 0.0005 * sin(deg2rad($m + 2 * $mprime));$apcor=true;}else if(abs($phase - 0.25)<0.01||abs($phase - 0.75)<0.01){$pt+=(0.1721 - 0.0004 * $t)* sin(deg2rad($m))+ 0.0021 * sin(deg2rad(2 * $m))- 0.6280 * sin(deg2rad($mprime))+ 0.0089 * sin(deg2rad(2 * $mprime))- 0.0004 * sin(deg2rad(3 * $mprime))+ 0.0079 * sin(deg2rad(2 * $f))- 0.0119 * sin(deg2rad($m + $mprime))- 0.0047 * sin(deg2rad($m - $mprime))+ 0.0003 * sin(deg2rad(2 * $f + $m))- 0.0004 * sin(deg2rad(2 * $f - $m))- 0.0006 * sin(deg2rad(2 * $f + $mprime))+ 0.0021 * sin(deg2rad(2 * $f - $mprime))+ 0.0003 * sin(deg2rad($m + 2 * $mprime))+ 0.0004 * sin(deg2rad($m - 2 * $mprime))- 0.0003 * sin(deg2rad(2 * $m + $mprime));if($phase<0.5)$pt+=0.0028 - 0.0004 * cos(deg2rad($m))+ 0.0003 * cos(deg2rad($mprime));else $pt+=-0.0028 + 0.0004 * cos(deg2rad($m))- 0.0003 * cos(deg2rad($mprime));$apcor=true;}if(!$apcor)return false;return $pt;} private function phasehunt(){$sdate=$this->utctojulian($this->timestamp);$adate=$sdate - 45;$ats=$this->timestamp - 86400 * 45;$yy=(int)gmdate('Y',$ats);$mm=(int)gmdate('n',$ats);$k1=floor(($yy +(($mm - 1)*(1 / 12))- 1900)* 12.3685);$adate=$nt1=$this->meanphase($adate,$k1);while(true){$adate+=$this->synmonth;$k2=$k1 + 1;$nt2=$this->meanphase($adate,$k2);if(abs($nt2 - $sdate)<0.75)$nt2=$this->truephase($k2,0.0);if($nt1<=$sdate&&$nt2>$sdate)break;$nt1=$nt2;$k1=$k2;}$data=array($this->truephase($k1,0.0),$this->truephase($k1,0.25),$this->truephase($k1,0.5),$this->truephase($k1,0.75),$this->truephase($k2,0.0),$this->truephase($k2,0.25),$this->truephase($k2,0.5),$this->truephase($k2,0.75));$this->quarters=array();foreach($data as $v)$this->quarters[]=($v - 2440587.5)* 86400;}private function utctojulian($ts){return $ts / 86400 + 2440587.5;} private function get_phase($n){if(is_null($this->quarters))$this->phasehunt();return $this->quarters[$n];} 
	function phase(){return $this->phase;}
	function illumination(){return $this->illum*100;} 
	function age(){return $this->age;} 
	function distance(){return $this->dist;} 
	function diameter(){return $this->angdia;} 
	function sundistance(){return $this->sundist;} 
	function sundiameter(){return $this->sunangdia;} 
	function new_moon(){return $this->get_phase(0);} 
	function first_quarter(){return $this->get_phase(1);} 
	function full_moon(){return $this->get_phase(2);} 
	function last_quarter(){return $this->get_phase(3);} 
	function next_new_moon(){return $this->get_phase(4);} 
	function next_first_quarter(){return $this->get_phase(5);} 
	function next_full_moon(){return $this->get_phase(6);} 
	function next_last_quarter(){return $this->get_phase(7);} 
	function phase_name(){$names=array('&nbsp;&nbsp;New <br>&nbsp;&nbsp;Moon','Waxing <br>Crescent','&nbsp;&nbsp;First <br>&nbsp;Quarter','Waxing <br>Gibbous','&nbsp;&nbsp;Full<br>&nbsp;&nbsp;Moon','Waning <br>Gibbous','Third <br>Quarter','Waning <br>Crescent','&nbsp;&nbsp;New <br>&nbsp;&nbsp;Moon');
    return $names[ floor(($this->phase + 0.070)* 7.5)];} } 
	

//weather34 sunrise 
$nextrise = $result['sunrise']; $now = time(); 
if ($now > $nextrise) { $nextrise = date($timeformat,$result2['sunrise']);
$nextrisetxt = ' Tomorrow'  ;} 
else { $nextrisetxt = ' Today';$nextrise = date($timeformat,$nextrise);} 
//weather34 sunset
$nextset = $result['sunset'];if ($now > $nextset) { $nextset = date($timeformat,$result2['sunset']);
$nextsettxt = ' Tomorrow';}else { $nextsettxt = ' Today'; $nextset = date($timeformat,$nextset);} 
$firstrise = $result['sunrise']; $secondrise = $result2['sunrise']; $firstset = $result ['sunset'];
if ($now < $firstrise) { $time = $firstrise - $now; $hrs = gmdate ('G',$time); $min = gmdate ('i',$time);$txt = 'Sunrise';} 
elseif ($now < $firstset) { $time = $firstset - $now; $hrs = gmdate ('G',$time); $min = gmdate ('i',$time);$txt = 'Sunset';} 
else { $time = $secondrise - $now; $hrs = gmdate ('G',$time); $min = gmdate ('i',$time); $txt = 'Sunrise';}echo "";

//sun position based on https://github.com/KiboOst/php-sunPos
class sunPos{public function getSunPos(){$date=clone $this->date;$date->setTimezone(new DateTimeZone('UTC'));$year=$date->format("Y");$month=$date->format("m");$day=$date->format("d");$hour=$date->format("H");$min=$date->format("i");$pos=$this->getSunPosition($this->latitude,$this->longitude,$year,$month,$day,$hour,$min);$this->elevation=$pos[0];$this->azimuth=$pos[1];return array('elevation'=>$pos[0],'azimuth'=>$pos[1]);}public function getDayPeriod(){$ts=$this->date->getTimestamp();$sun_info=date_sun_info($ts,$this->latitude,$this->longitude);$sunrise=date("H:i:s",$sun_info["sunrise"]);$transit=date("H:i:s",$sun_info["transit"]);$sunset=date("H:i:s",$sun_info["sunset"]);$this->sunrise=$sunrise;$this->transit=$transit;$this->sunset=$sunset;$isDay=0;$isMorning=0;$isNoon=0;$isAfternoon=0;$isEvening=0;$now=$this->date->format('H:i:s');if($now>$sunrise and $now<$sunset)$isDay=1;if($isDay==1){if($now<='12:00:00')$isMorning=1;if($now>'12:00:00' and $now<'14:00:00')$isNoon=1;if($isMorning==0 and $isNoon==0){$sunrise=new DateTime($sunrise);$transit=new DateTime($transit);$sunset=new DateTime($sunset);$nowTime=new DateTime($now);$dayLenght=date_diff($sunset,$sunrise);$dayLenght=$dayLenght->h * 60 + $dayLenght->i;$sunsetDelta=date_diff($sunset,$nowTime);$sunsetDelta=$sunsetDelta->h * 60 + $sunsetDelta->i;$portion=pow($dayLenght / 12,2)/ 40;if($sunsetDelta<$portion)$isEvening=1;else $isAfternoon=1;}}$this->isDay=$isDay;$this->isMorning=$isMorning;$this->isNoon=$isNoon;$this->isAfternoon=$isAfternoon;$this->isEvening=$isEvening;}public function isSunny($from=0,$to=0){if(is_null($this->azimuth)){$pos=$this->getSunPos();$this->elevation=$pos['elevation'];$this->azimuth=$pos['azimuth'];}if($to<$from){if($this->azimuth<$to)$this->azimuth+=360;$to+=360;}if($this->azimuth>$from and $this->azimuth<$to)return true;return false;}public function getSunPosition($lat,$long,$year,$month,$day,$hour,$min){$jd=gregoriantojd($month,$day,$year);$dayfrac=$hour / 24 - .5;$frac=$dayfrac + $min / 60 / 24;$jd=$jd + $frac;$time=($jd - 2451545);$mnlong=(280.460 + 0.9856474 * $time);$mnlong=fmod($mnlong,360);if($mnlong<0)$mnlong=($mnlong + 360);$mnanom=(357.528 + 0.9856003 * $time);$mnanom=fmod($mnanom,360);if($mnanom<0)$mnanom=($mnanom + 360);$mnanom=deg2rad($mnanom);$eclong=($mnlong + 1.915 * sin($mnanom)+ 0.020 * sin(2 * $mnanom));$eclong=fmod($eclong,360);if($eclong<0)$eclong=($eclong + 360);$oblqec=(23.439 - 0.0000004 * $time);$eclong=deg2rad($eclong);$oblqec=deg2rad($oblqec);$num=(cos($oblqec)* sin($eclong));$den=(cos($eclong));$ra=(atan($num / $den));if($den<0)$ra=($ra + pi());if($den>=0&&$num<0)$ra=($ra + 2*pi());$dec=(asin(sin($oblqec)* sin($eclong)));$h=$hour + $min / 60;$gmst=(6.697375 + .0657098242 * $time + $h);$gmst=fmod($gmst,24);if($gmst<0)$gmst=($gmst + 24);$lmst=($gmst + $long / 15);$lmst=fmod($lmst,24);if($lmst<0)$lmst=($lmst + 24);$lmst=deg2rad($lmst * 15);$ha=($lmst - $ra);if($ha<pi())$ha=($ha + 2*pi());if($ha>pi())$ha=($ha - 2*pi());$lat=deg2rad($lat);$el=(asin(sin($dec)* sin($lat)+ cos($dec)* cos($lat)* cos($ha)));$az=(asin(-cos($dec)* sin($ha)/ cos($el)));if((sin($dec)- sin($el)* sin($lat))>00){if(sin($az)<0)$az=($az + 2*pi());}else{$az=(pi()- $az);}$el=rad2deg($el);$az=rad2deg($az);$lat=rad2deg($lat);return array(number_format($el,2),number_format($az,2));}public $latitude=null;public $longitude=null;public $date=null;public $timezone=null;public $elevation=null;public $azimuth=null;public $sunrise=null;public $transit=null;public $sunset=null;public $isDay=null;public $isMorning=null;public $isNoon=null;public $isAfternoon=null;public $isEvening=null;protected $dateFormat='Y-m-d';function __construct($latitude=0,$longitude=0,$timezone=false,$date=false,$time=false){$this->latitude=$latitude;$this->longitude=$longitude;if($timezone){$this->timezone=$timezone;date_default_timezone_set($timezone);}else $this->timezone=date_default_timezone_get();if($date)$this->date=DateTime::createFromFormat($this->dateFormat,$date);else $this->date=new DateTime('NOW',new DateTimeZone($this->timezone));if($time){$var=explode(':',$time);$this->date->setTime($var[0],$var[1]);}$this->getSunPos();$this->getDayPeriod();}}$lati=$lat;$long=$lon;$timezone=$TZ;$_SunPos=new sunPos($lati,$long,$timezone);$azimuth=$_SunPos->azimuth ;
$elev=$_SunPos->elevation ;
//use meteobridge daylight with some improvements by Josh(milehighweather)
$light =$weather["daylight"]; $daylight = ltrim($light, '0'); $dark = 24 - str_replace(':','.',$daylight);
$lighthours = substr($daylight, 0, 2); $lightmins = substr($daylight, -2);
$darkhours = 23 - $lighthours; $darkminutes = 60 - $lightmins;if ($darkminutes<10) $darkminutes= '0' .$darkminutes;
else $darkminutes=$darkminutes;$thehour=date('H');$theminute=date('i');?>
  
   <?php 
$time = time();$longitude = $lon;$latitude = $lat;$gmtOffset =$UTC;
$zenith = 90+(50/60);

$sunrise = date_sunrise($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);
$sunset = date_sunset($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);

$zenith = 96;
$civil_twilight_morning = date_sunrise($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);
$civil_twilight_night = date_sunset($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);

$zenith = 102;
$nautical_twilight_morning = date_sunrise($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);
$nautical_twilight_night = date_sunset($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);

$zenith = 108;
$astronomical_twilight_morning = date_sunrise($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);
$astronomical_twilight_night = date_sunset($time, SUNFUNCS_RET_TIMESTAMP, $latitude, $longitude, $zenith, $gmtOffset);
$results = array(
	"astronomicalTwilightMorning" => $astronomical_twilight_morning,
	"nauticalTwilightMorning" => $nautical_twilight_morning,
	"civilTwilightMorning" => $civil_twilight_morning,
	"sunrise" => $sunrise, 
	"sunset" => $sunset,
	"civilTwilightNight" => $civil_twilight_night,
	"nauticalTwilightNight" => $nautical_twilight_night,
	"astronomicalTwilightNight" => $astronomical_twilight_night
	);

//this var will hold a count of data errors in the $results array
$incorrectDataValues = 0;
//check that each value is an integer
foreach ($results as $value) {if (gettype($value) !== 'integer') {$incorrectDataValues++;}
}



// meteor shower alternative by betejuice cumulus forum
$meteor_default="<grey>No Meteor Shower Event Expected Tonight</grey>";
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 1, 3),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 4),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 1, 5),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 12),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 28,2020),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 2,2021),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 28,2021),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 2,2022),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 28,2022),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 2,2023),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 28,2023),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 2,2024),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 28,2024),"event_title"=>"Tonight <blue>Quadrantids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 1, 2,2025),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 4, 18),"event_title"=>"Tonight <blue>Lyrids</blue> ( <orange>ZHR 18</orange> )","event_end"=>mktime(20, 59, 59, 4, 20),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 4, 21),"event_title"=>"Tonight <blue>Lyrids</blue> ( <orange>ZHR 18</orange> )","event_end"=>mktime(23, 59, 59, 4, 22),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 5, 5),"event_title"=>"Tonight <blue>ETA Aquarids</blue> ( <orange>ZHR 40</orange> )","event_end"=>mktime(23, 59, 59, 5, 6),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 7, 20),"event_title"=>"Tonight <blue>Delta Aquarids</blue> ( <orange>ZHR 25</orange> )","event_end"=>mktime(23, 59, 59, 7, 28),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 7, 29),"event_title"=>"Tonight <blue>Delta Aquarids</blue> ( <orange>ZHR 25</orange> )","event_end"=>mktime(23, 59, 59, 7, 30),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 8, 1),"event_title"=>"Tonight <blue>Perseids</blue> ( <orange>ZHR 150+</orange> )","event_end"=>mktime(23, 59, 59, 8, 10),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 8, 11),"event_title"=>"Tonight <blue>Perseids</blue> ( <orange>ZHR 150+</orange> )","event_end"=>mktime(23, 59, 59, 8, 13),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 8, 14),"event_title"=>"Tonight <blue>Perseids</blue> ( <orange>ZHR 150+</orange> )","event_end"=>mktime(23, 59, 59, 8, 26),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 10, 6),"event_title"=>"Tonight <blue>Draconids</blue> ( <orange>ZHR 10</orange> )","event_end"=>mktime(23, 59, 59, 10, 7),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 10, 20),"event_title"=>"Tonight <blue>Orionids</blue> ( <orange>ZHR 15</orange> )","event_end"=>mktime(23, 59, 59, 10, 21),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 4),"event_title"=>"Tonight <blue>South Taurids</blue> ( <orange>ZHR 5</orange> ) ","event_end"=>mktime(23, 59, 59, 11, 5),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 11),"event_title"=>"Tonight <blue>North Taurids</blue> ( <orange>ZHR 5</orange> )","event_end"=>mktime(23, 59, 59, 11, 13),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 14),"event_title"=>"Tonight <blue>Leonids</blue> ( <orange>ZHR 15</orange> )","event_end"=>mktime(23, 59, 59, 11, 16),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 17),"event_title"=>"Tonight <blue>Leonids</blue> ( <orange>ZHR 15</orange> )","event_end"=>mktime(23, 59, 59, 11, 18),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 19),"event_title"=>"Tonight <blue>Leonids</blue> ( <orange>ZHR 15</orange> )","event_end"=>mktime(23, 59, 59, 11, 29),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 11, 30),"event_title"=>"Tonight <blue>Geminids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 12, 12),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 13),"event_title"=>"Tonight <blue>Geminids</blue> ( <orange>ZHR 120+</orange> )","event_end"=>mktime(23, 59, 59, 12, 14),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 17),"event_title"=>"Tonight <blue>Ursids</blue> ( <orange>ZHR 10</orange> )","event_end"=>mktime(23, 59, 59, 12, 20),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 21),"event_title"=>"Tonight <blue>Ursids</blue> ( <orange>ZHR 10</orange> )","event_end"=>mktime(23, 59, 59, 12, 22),);
$meteor_events[]=array("event_start"=>mktime(0, 0, 0, 12, 23),"event_title"=>"Tonight <blue>Ursids</blue> ( <orange>ZHR 10</orange> )","event_end"=>mktime(23, 59, 59, 12, 25),);
$meteorNow=time();
$meteorOP=false;
foreach ($meteor_events as $meteor_check) {if ($meteor_check["event_start"]<=$meteorNow&&$meteorNow<=$meteor_check["event_end"]) {
$meteorOP=true;$meteor_default=$meteor_check["event_title"];}};
//end meteor
//weather34 next meteor event original idea betejuice of cumulus forum..
$meteor_nextevent="No Meteor Shower ";
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 12, 18,23),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Quadrantids</orange1><div class=date2><br>Active Dec 28th-Jan 12th
<br><green>Estimated ZHR: </green><orange>120 &nbsp; Peaks <orange>Jan 3rd-4th</orange></div></div>","event_end"=>mktime(23, 59, 59, 1, 2,24),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 12, 18,22),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Quadrantids</orange1><div class=date2><br>Active Dec 28th-Jan 12th
<br><green>Estimated ZHR: </green><orange>120 &nbsp; Peaks <orange>Jan 3rd-4th</orange></div></div>","event_end"=>mktime(23, 59, 59, 1, 2,23),);

$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 12, 24),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Quadrantids</orange1><div class=date2><br>Active Dec 28th-Jan 12th
<br><green>Estimated ZHR: </green><orange>120 <br>&nbsp; Peaks <orange>Jan 3rd-4th</orange></div></div>","event_end"=>mktime(23, 59, 59, 1, 2),);
$meteor_eventsnext[]=array("event_start"=>mktime(0, 0, 0, 1, 3),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Quadrantids</orange1><div class=date2><br>Peak Viewing Now<br><div class=date>
<br><green>Estimated ZHR: </green><orange>120</div></div>","event_end"=>mktime(23, 59, 59, 1, 4),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 1, 2),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Lyrids</orange1><div class=date2><br>Active Apr 18th-Apr 25th<br>
<green>Estimated ZHR: </green><orange>18</orange><br>&nbsp; Peaks <orange>Apr 23rd</orange></div></div>","event_end"=>mktime(23, 59, 59, 4, 20),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 4, 20),"event_title"=>"Meteor Shower  <orange1>Lyrids</orange1> <div class=date2><br>Peak Viewing Now<br>
<green>Estimated ZHR: </green><orange>18</orange><br>&nbsp; Peaks <orange>Apr 23rd</orange></div></div>","event_end"=>mktime(23, 59, 59, 4, 22),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 4, 22),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;ETA Aquarids </orange1><br><div class=date2><br>Active Apr 24th-May 19th
<br><green>Estimated ZHR: </green><orange>55 </orange>&nbsp; Peaks <orange>May 6th</orange></div></div>","event_end"=>mktime(23, 59, 59, 5, 6),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 5, 6),"event_title"=>"Meteor Shower  <orange1>&nbsp; &nbsp;Delta Aquarids</orange1><div class=date2><br>Active Jul 21st-Aug 23rd<br><green>Estimated ZHR: </green><orange>16</orange>&nbsp; Peaks <orange>Jul 28th</orange></div></div>","event_end"=>mktime(23, 59, 59, 7, 27),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 7, 7),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Perseids</orange1><div class=date2><br>Active Jul 13th-Aug 26th<br>
<green>Estimated ZHR: </green><orange>100</orange>&nbsp; Peaks <orange>Aug 11th-13th</orange></div>","event_end"=>mktime(23, 59, 59, 8, 10),);
$meteor_eventsnext[]=array("event_start"=>mktime(0, 0, 0, 8, 11),"event_title"=>"Meteor Shower <orange1> &nbsp; &nbsp;Perseids</orange1> <br><div class=date2><br>
<green>Estimated ZHR: </green><orange>100</orange>&nbsp; Peaks <orange>Aug 11th-13th</orange></div></div>","event_end"=>mktime(23, 59, 59, 8, 13),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 8, 13),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Draconids</orange1><div class=date2><br>Active October 6th-10th<br>
<green>Estimated ZHR: </green><orange>5</orange>&nbsp; Peaks <orange>Oct 9th</orange></div></div>","event_end"=>mktime(23, 59, 59, 10, 7),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 10, 7),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Orionids</orange1><div class=date2><br>Active Oct 21st-Oct 22nd<br>
<green>Estimated ZHR: </green><orange>25</orange>&nbsp; Peaks <orange>Oct 22nd</orange></div></div>","event_end"=>mktime(23, 59, 59, 10, 21),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 10, 21),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;South Taurids</orange1><div class=date2><br>Active Nov 4th- Nov 5th<br><green>Estimated ZHR: </green><orange>5</orange>&nbsp; Peaks <orange>Nov 5th</orange></div></div>","event_end"=>mktime(23, 59, 59, 11, 5),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 11, 5),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;North Taurids</orange1><div class=date2><br>Active Nov 11th<br>
<green>Estimated ZHR: </green><orange>5</orange>&nbsp; Peaks <orange>Nov 12-13th</orange></div></div>","event_end"=>mktime(23, 59, 59, 11, 12),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 11, 12),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Leonids</orange1><div class=date2><br>Active Nov 5th-Dec 3rd<br>
<green>Estimated ZHR: </green><orange>15</orange>&nbsp; Peaks <orange>Nov 18th</orange></div></div>","event_end"=>mktime(23, 59, 59, 11, 18),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 11, 18),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Geminids</orange1><div class=date2><br>Active Nov 30th-Dec 17th<br>
<green>Estimated ZHR: </green><orange>120</orange>&nbsp; Peaks <orange>Dec 14th</orange></div></div>","event_end"=>mktime(23, 59, 59, 12, 14),);
$meteor_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 12, 14),"event_title"=>"Meteor Shower  <orange1> &nbsp; &nbsp;Ursids</orange1><div class=date2><br>Active Dec 17th-Dec 24th<br>
<green>Estimated ZHR: </green><orange>5-10</orange>&nbsp; Peaks <orange>Dec 23rd</orange></div></div>","event_end"=>mktime(23, 59, 59, 12, 18),);

$meteorNext=time();$meteorOP=false;
foreach ($meteor_eventsnext as $meteor_check) {if ($meteor_check["event_start"]<=$meteorNext&&$meteorNext<=$meteor_check["event_end"]) {
  $meteorOP=true;$meteor_nextevent=$meteor_check["event_title"];}};
//end meteor nevt event
$meteorinfo3="<svg width='16px' height='16px' viewBox='0 0 16 16' style='margin-right:2px'><path fill='#aaa' d='M0 0l14.527 13.615s.274.382-.081.764c-.355.382-.82.055-.82.055L0 0zm4.315 1.364l11.277 10.368s.274.382-.081.764c-.355.382-.82.055-.82.055L4.315 1.364zm-3.032 2.92l11.278 10.368s.273.382-.082.764c-.355.382-.819.054-.819.054L1.283 4.284zm6.679-1.747l7.88 7.244s.19.267-.058.534-.572.038-.572.038l-7.25-7.816zm-5.68 5.13l7.88 7.244s.19.266-.058.533-.572.038-.572.038l-7.25-7.815zm9.406-3.438l3.597 3.285s.094.125-.029.25c-.122.125-.283.018-.283.018L11.688 4.23zm-7.592 7.04l3.597 3.285s.095.125-.028.25-.283.018-.283.018l-3.286-3.553z'/></svg>";
$meteorinfo2="<svg width='10px' height='10px' viewBox='0 0 16 16' style='margin-right:0px'><path fill='#aaa' d='M0 0l14.527 13.615s.274.382-.081.764c-.355.382-.82.055-.82.055L0 0zm4.315 1.364l11.277 10.368s.274.382-.081.764c-.355.382-.82.055-.82.055L4.315 1.364zm-3.032 2.92l11.278 10.368s.273.382-.082.764c-.355.382-.819.054-.819.054L1.283 4.284zm6.679-1.747l7.88 7.244s.19.267-.058.534-.572.038-.572.038l-7.25-7.816zm-5.68 5.13l7.88 7.244s.19.266-.058.533-.572.038-.572.038l-7.25-7.815zm9.406-3.438l3.597 3.285s.094.125-.029.25c-.122.125-.283.018-.283.018L11.688 4.23zm-7.592 7.04l3.597 3.285s.095.125-.028.25-.283.018-.283.018l-3.286-3.553z'/></svg>";

?>

<?php 
  //weather34 next lunar event..
  $lunar_nextevent="No Current Lunar Events";

  //2022 
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 5, 1, 22),"event_title"=>"<br><br><br>
  <div class=date>September <blue>Equinox</blue><br> Event Occurs <br><blue> September 23rd 2022</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 9, 23, 22),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 9, 23, 22),"event_title"=>"<br><br><br>
  <div class=date>Partial Lunar <blue>Eclipse</blue><br> Event Occurs <br><blue> October 25th 2022</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 10, 25, 22),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 10, 25, 22),"event_title"=>"<br><br><br>
  <div class=date>Solar <blue>Eclipse</blue><br> Event Occurs <br><blue> 7-8th November 2022</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 11, 8, 22),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 11, 8, 22),"event_title"=>"<br><br><br>
  <div class=date>December <blue>Solstice</blue><br> Event Occurs <br><blue> December 21st 2022</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 12, 21, 22),);

  //2023  
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 12, 21, 22),"event_title"=>"<br><br><br>
  <div class=date>Total Solar <blue>Eclipse</blue> <br>Event Occurs <br><blue> April 20th 2023<br>
  </div></div>","event_end"=>mktime(23, 59, 59, 4, 20, 23),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 4, 20, 23),"event_title"=>"<br><br><br>
  <div class=date>Partial Lunar <blue>Eclipse</blue><br> Event Occurs <br><blue> May 5-6th 2023</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 5, 6, 23),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 5, 6, 23),"event_title"=>"<br><br><br>
  <div class=date>Solar <blue>Eclipse</blue><br> Event Occurs <br><blue> October 14th 2023</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 10, 14, 23),);
  $lunar_eventsnext[]=array("event_start"=>mktime(23, 59, 59, 10, 14, 23),"event_title"=>"<br><br><br>
  <div class=date>Partial Lunar <blue>Eclipse</blue><br> Event Occurs <br><blue> October 28-29th 2023</blue><br>
  </div></div>","event_end"=>mktime(23, 59, 59, 10, 29, 23),);



  $lunarNext=time();$lunarOP=false;
  foreach ($lunar_eventsnext as $lunar_check) {if ($lunar_check["event_start"]<=$lunarNext&&$lunarNext<=$lunar_check["event_end"]) {$lunarOP=true;$lunar_nextevent=$lunar_check["event_title"];}};
  //end meteor nevt event
  $lunarinfo3='<svg width="60" viewBox="0 0 512 512" id="weather34 svg eclipse">
  <g id="weather34eclipse"><path fill="#49545b" opacity=".5" d=" M 162.82 68.68 C 217.22 42.05 283.43 41.17 338.48 66.45 C 356.45 74.61 373.20 85.40 388.08 98.34 C 411.02 118.31 
  429.61 143.30 441.71 171.21 C 461.45 216.04 464.30 267.98 449.86 314.76 C 439.41 349.21 419.54 380.72 393.08 405.11 C 360.92 435.22 318.71 454.36 274.88 458.76 C 227.90 463.90   
  179.25 452.31 139.80 426.23 C 96.19 397.68 64.01 352.07 52.47 301.18 C 41.60 254.95 47.17 205.00 68.34 162.46 C 88.32 121.92 122.13 88.36 162.82 68.68 M 241.61 70.93 C 205.47 
  73.17 170.04 86.26 141.37 108.41 C 113.46 129.68 91.96 159.22 80.24 192.29 C 72.92 212.99 69.23 235.01 69.62 256.96 C 70.21 300.95 87.26 344.52 116.92 377.05 C 136.12 398.29 
  160.36 414.99 187.13 425.19 C 223.20 439.09 263.68 441.22 300.98 431.01 C 339.57 420.78 374.47 397.34 398.64 365.58 C 426.37 329.66 439.83 283.09 435.67 237.92 C 431.92 192.52 
  410.38 148.90 376.56 118.36 C 340.47 85.10 290.54 67.71 241.61 70.93 Z" /></g><g id="weather34pass"><path fill="var(--alternative-blue)" opacity="1.00" d=" M 338.48 66.45 C 344.19 58.84 353.31 
  53.45 363.03 53.96 C 378.55 53.20 392.86 67.55 392.04 83.07 C 392.30 88.44 390.64 93.68 388.08 98.34 C 373.20 85.40 356.45 74.61 338.48 66.45 Z" /></g>
  </svg>';

//weather34 super moon event 2021-2024..
//2022
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 6, 14, 22),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 6, 14, 22),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 7, 13, 22),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 7, 13, 22),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 9, 23, 22),"event_title"=>"<blue>Equinox</blue> ","event_end"=>mktime(23, 59, 59, 9, 23, 22),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 10, 25, 22),"event_title"=>"<blue>Partial Solar Eclipse</blue> ","event_end"=>mktime(23, 59, 59, 10, 25, 22),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 11, 8, 22),"event_title"=>"<blue>Total Lunar Eclipse</blue> ","event_end"=>mktime(23, 59, 59, 11, 8, 22),);
//2023
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 8, 1, 23),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 8, 1, 23),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 8, 31, 23),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 8, 31, 23),);
//2024
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 8, 1, 23),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 8, 1, 23),);
$supermooneventnext[]=array("event_start"=>mktime(00, 00, 59, 8, 31, 23),"event_title"=>"<blue>Super Moon</blue> is Visible","event_end"=>mktime(23, 59, 59, 8, 31, 23),);


$supermooneventNext=time();$supermooneventOP=false;
foreach ($supermooneventnext as $supermooneventcheck){
if ($supermooneventcheck["event_start"]<=$supermooneventNext&&$supermooneventNext<=$supermooneventcheck["event_end"]){$supermooneventOP=true;
$supermoonevent=$supermooneventcheck["event_title"];}};

?>

<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
<style>
.grida{display:grid;grid-template-columns:repeat(2,1fr);grid-column-gap:2px;
  grid-row-gap:2px;color:#afb7c0;margin-top:1px;font-family:verb;}
  .grida>article{padding:5px;font-size:9px;border-radius:4px;-webkit-border-radius:4px;
    background:0; -webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;
    border:1px solid hsla(217,15%,17%,.5); border-bottom:10px solid hsla(217,15%,17%,.5);
    height:190px;max-width:300px;
  
  
  }a{color:var(--blue);text-decoration:none}
    .weather34darkbrowser{position:relative;background:0;width:90%;height:30px;margin:auto;margin-top:-5px;margin-left:0;border-top-left-radius:5px;border-top-right-radius:5px;padding-top:10px;font-family:verb}.weather34darkbrowser[url]:after{content:attr(url);color:#afb7c0;font-size:10px;position:absolute;left:0;right:0;top:0;padding:4px 15px;margin:11px 10px 0 auto;border-radius:3px;background:hsla(233,12%,13%,.5);height:20px;box-sizing:border-box}credit{position:relative;font-size:.7em;top:10%}.actualt{position:relative;left:5px;-webkit-border-radius:3px;-moz-border-radius:3px;-o-border-radius:3px;border-radius:3px;background:rgba(74,99,111,.1);padding:5px;font-family:verb,Arial,Helvetica,sans-serif;width:100px;height:.8em;font-size:.8rem;padding-top:2px;color:#afb7c0;align-items:center;justify-content:center;margin-bottom:10px;top:0}.actualw{position:relative;left:5px;-webkit-border-radius:3px;-moz-border-radius:3px;-o-border-radius:3px;border-radius:3px;background:rgba(74,99,111,.1);padding:5px;font-family:verb,Arial,Helvetica,sans-serif;width:100px;height:.8em;font-size:.8rem;padding-top:2px;color:#afb7c0;align-items:center;justify-content:center;margin-bottom:10px;top:0}.mbsmartlogo{position:relative;float:right;left:10px;top:70px}small{font-size:8px}large{position:relative;top:-5px;left:15px;font-size:12px;width:80px}
.date{position:relative;top:-40px;left:20px;font-size:12px;width:max-content;font-family: verb;}
.date2{position:relative;top:35px;left:-110px;font-size:9px;width:300px}
.eclipseimage{position:absolute;margin-top:10px;margin-left:240px;}
.weather34-container-clock{width:120px;height:120px;position:relative;top:-45px;left:-45px}.weather34-large-clock{width:130px;height:130px;border-radius:50%;background:hsla(214,29%,91%,.1);position:absolute;top:50px;left:50px;box-shadow:var(--button-shadow);transform:rotate(var(--rotation));border:4px solid hsla(204,31%,21%,.2);-webkit-transform:rotate(var(--rotation));-moz-transform:rotate(var(--rotation));-ms-transform:rotate(var(--rotation));-o-transform:rotate(var(--rotation))}.weather34-small-clock{width:100px;height:100px;border-radius:50%;background-color:rgba(0,0,0,.4);position:absolute;top:15px;left:15px;box-shadow:var(--button-shadow);background-image:linear-gradient(hsla(0,0%,33%,.3) 1px,transparent 1px),linear-gradient(to right,hsla(0,0%,33%,.3) 1px,transparent 1px);background-size:5px 5px}.circle{background-color:hsl(206, 19%, 39%);width:10px;height:10px;border-radius:50%;position:absolute;left:45px;top:40px;z-index:1}.hour-indicator{width:0;height:25px;background-color:var(--red);border-radius:5px;position:absolute}.twelve{top:0;left:60px}.twelve::after{content:"12";font-size:12px;color:hsla(214,29%,91%,.8);font-family:verb,Arial,Helvetica,sans-serif}.three{right:11px;top:53px}.three::after{content:"3";font-size:12px;color:hsla(214,29%,91%,.8);font-family:verb,Arial,Helvetica,sans-serif}.weather34brand{left:40px;bottom:15px}.weather34brand::after{content:"weather34";font-size:9px;color:hsla(214,29%,91%,.8);font-family:verb,Arial,Helvetica,sans-serif}.six{left:62px;bottom:-10px}.six::after{content:"6";font-size:12px;color:hsla(214,29%,91%,.8);font-family:verb,Arial,Helvetica,sans-serif}.nine{left:5px;top:53px;height:3px;width:0}.nine::after{content:"9";font-size:12px;color:hsla(214,29%,91%,.8);font-family:verb,Arial,Helvetica,sans-serif}.hand{--rotation:0;height:50px;width:5px;border-radius:2px;position:absolute;left:63px;top:10px;transform-origin:bottom;transform:rotate(calc(var(--rotation) * 1deg))}.hour{background-color:var(--alternative-blue);height:35px;top:25px}.minute{background-color:#ec5113;width:4px}.second{background-color:var(--blue);width:1px}.clock34{box-shadow:var(--button-shadow);background-color:#1d2124;display:flex;font-family:clock;border-radius:3px;-webkit-border-radius:3px;-moz-border-radius:3px;-ms-border-radius:3px;-o-border-radius:3px;left:0;text-align:center;position:relative;color:#99B1C9;font-size:12px;text-transform:none;padding:4px;padding-top:6px;top:-147px;z-index:20;width:5.5em;background-image:linear-gradient(hsla(0,0%,33%,.1) 1px,transparent 1px),linear-gradient(to right,hsla(0,0%,33%,.1) 1px,transparent 1px);background-size:5px 5px;justify-content:center;align-items:center}.gridcal{display:grid;grid-template-columns:repeat(7,minmax(14px,1fr));grid-gap:.75em;color:hsla(214,29%,91%,.6);filter: brightness(95%)}.day{background:hsla(214,29%,91%,.1);filter: brightness(95%);display:flex;justify-content:center;align-items:center; border-radius:2px;color:#fff;-webkit-border-radius:2px;-moz-border-radius:2px;-ms-border-radius:2px;-o-border-radius:2px; height:14px;font-family:verb,Arial,Helvetica,sans-serif}.wrapper{width:calc(250px + 1.12em);margin:auto;margin-top:5px;margin-left:0px; font-family:verb,Arial,Helvetica,sans-serif;overflow:hidden;padding:7px; padding-right:10px; background-image:linear-gradient(hsla(0,0%,33%,.1) 1px,transparent 1px),linear-gradient(to right,hsla(0,0%,33%,.1) 1px,transparent 1px); background-size:2px 2px;border-radius:5px;filter: brightness(95%)}.days{display:none;display:grid;grid-template-columns:repeat(7,30px);grid-gap:.75em;background:0;filter: brightness(95%)}.curr_date{color:hsla(214,29%,91%,.8);filter: brightness(95%)}.weather34weekdays{position:relative;text-transform:uppercase;font-size:.8rem;display:grid; grid-template-columns:repeat(7,35px);grid-gap:.25em;list-style:none;left:6px;top:-70px;margin-bottom:-145px; filter: brightness(95%)}.weather34weekdays todayorange{color:#fff;background:var(--alternative-blue); border-radius:2px;-webkit-border-radius:2px; -moz-border-radius:2px;-ms-border-radius:2px;-o-border-radius:2px;line-height:14px;padding:0 2px 0 2px;filter: brightness(95%)}grey{color:#ccc}blue{color:var(--alternative-blue)}blue1{color:var(--alternative-blue);font-size:10px}orange{color:#d87040}orange1{position:relative;color:var(--alternative-blue);margin-left:-10px;font-size:10px}green{color:#afb7c0}red{color:#f37867}red6{color:#d65b4a}value{color:#fff}yellow{color:#EF6815}purple{color:#916392}.actualt{position:relative;left:5px;-webkit-border-radius:3px;-moz-border-radius:3px;-o-border-radius:3px;border-radius:3px;background:rgba(74,99,111,0);padding:5px;font-family:verb,Arial,Helvetica,sans-serif;width:190px;height:.8em;font-size:.8rem;padding-top:2px;color:#afb7c0;align-items:center;justify-content:center;margin-bottom:10px;top:0}.actualups{position:relative;left:35px;background:rgba(74,99,111,0);padding:5px;font-family:verb,Arial,Helvetica,sans-serif;width:140px;height:.8em;font-size:.8rem;align-items:center;justify-content:center;top:-30px;margin-bottom:-10px}actualt34{display:none}.actualtlocal{position:relative;left:145px;background:rgba(74,99,111,0);padding:5px;font-family:verb,Arial,Helvetica,sans-serif;width:190px;height:.8em;font-size:.8rem;padding-top:2px;color:#afb7c0;align-items:center;justify-content:center;margin-bottom:10px;top:0}.weather34logosvg{position:absolute;display:flex;right:40px;margin-top:-60px;width:4rem}.weather34-image{position:absolute;display:flex;right:70px;margin-top:20px;width:10rem;opacity:.9}.info2a{position:absolute;margin-top:40px;font-size:.8em;margin-left:5px;width:200px}li{background:0 0;font-size:10px;margin-left:-150px;margin-top:-20px;border:0}black{color:#888}.rises,.riset { position:absolute; margin-top:45px}.rises{ margin-left:5px}.riset{ margin-left:140px}.moonrises{ left:50px;position:absolute;margin-top:-15px;font-size:9px}.time2{ display: none}
.time3{ position: absolute; top: 80px; width:190px;margin-left:165px; color:#99B1C9 !important;font-size:9px}@media screen and (max-width:640px){ .grida,.grid2{display:grid; grid-template-columns:repeat(1,1fr)}}
</style>

<?php
//new moon
$moon=new MoonPhase();$lum2=$moon->illumination();
if($lum2<=3){echo "<style>
.weather34moonsvgmoon {fill:#3c454d;stroke-width: 0;}
.weather34moonsvgmoonback {fill:#3c454d;stroke-width: 0;}
black{color:#777;line-height:1}
.phase2 {color: #C3CED8;line-height:1}
newphase {color:#C3CED8;line-height:1}
</style>";}
//full moon
if($lum2>=97){echo "<style>
.weather34moonsvgmoon {fill:hsla(209, 28%, 75%,1);stroke-width: 0;}
.weather34moonsvgmoonback {fill:hsla(209, 28%, 75%,1);stroke-width:0;}
black{color:#555}
.phase2 {color: #555;line-height:1}
.newphase {color: #555;line-height:1}
  </style>";}
  ?>

<?php //below horizon
if($elev<0){echo "<style>.circle {display:none;}</style>";}?>

<div class="weather34darkbrowser" url="Moon Phase | Sun | Meteor Shower Info"></div>
<main class="grida"> 
<article>
<?php //josep modification August 2022
echo $info;?> Sun Position | Moonphase<br>
<div style="position:relative;margin-left:175px;margin-top:80px"> 
<div style="position:absolute;margin-left:-135px;margin-top:75px"> 
<?php echo $supermoonevent;?></div> 
<div id="sunpos"></div></div>


<div class="time3">
<?php // sun comes up/goes down
if ($txt=='Sunrise'){echo " <yellow>Sun</yellow> comes up in <br>";}
if ($txt=='Sunset'){echo " <orange>Sun</orange> goes down in <br>";}?>
<?php echo $hrs." hrs : ". $min." min" ?>
<?php if ($txt=='Sunrise'){echo " (<yellow>".$nextrise."</yellow>)";}
if ($txt=='Sunset'){echo " (<orange>".$nextset."</orange>)";}?> 
<br><br>

<?php echo $sunrisesicon." Next Sunrise <blue>". $nextrise ?></blue><br>
<?php echo $sunsetsicon ." Next Sunset <orange>". $nextset ?></orange>
<br><br>

<?php echo $info;?> Next Moon Rise:<blue><?php echo $weather['moonrise']," </blue> ";?> 
<br>
<?php echo $info;?> Next Moon Set:<orange><?php echo $weather['moonset'],"</orange>";?>
</div>
<div class="time2"><div id="weather34clock4"></div></div>
</article>

<article>
<moonphaseriseset><br>
<div class="eclipseimage"><?php echo $sunlight2;?></div>

<?php echo $info;?><yellow>Sun Information</yellow><br> 
<?php echo $sunuphalf." First Light (<blue>".date('H:i',$civil_twilight_morning)."</blue>)";?> <br>
<?php echo $sunuphalf.' Total Daylight ('.$light.'</blue> Hours)';?><br>
<?php echo $sundownhalf." Last Light (<blue>".date('H:i',$civil_twilight_night)."</blue>)";?><br>
<?php echo $sundownhalf.' Total Darkness ('.$darkhours,":".$darkminutes.' Hours)';?><br><br>

<div class="eclipseimage"><?php echo $moonsetuvtablet2;?></div>

<?php echo $info;?>
<blue>Moon Information</blue><br>    
<?php echo $info;?>
Next Full Moon:&nbsp;<?php  // homeweatherstation new/fullmoon info output 18th Aug
$now1 =time();$moon1 = new MoonPhase();
echo "";if ($now1 < $moon1->full_moon()){echo date('l jS M', $moon1->full_moon() );}else echo date('l jS M', $moon1->next_full_moon() );
?>
<br>
<?php echo $info;?>  Next New Moon: <?php $moon=new MoonPhase();$nextnewmoon=date('l jS M',$moon->next_new_moon());echo $nextnewmoon;?>   
<br> 
<?php echo $info;?> Luminance:<blue><?php $moon=new MoonPhase();$lum=$moon->illumination();echo number_format($lum,1);?></blue>%<br>
<?php echo $info;?> Cycle:<blue><?php $moon = new MoonPhase();$moonage =round($moon->age(),2);echo round($moonage,2)?></blue> Days<br>

</article>
  
  <article>  
    <br>
  <div class="eclipseimage"><?php echo $lunarinfo3 ?></div>

  <?php 
  $lunayear=date('Y');		

if($lunayear==2022 ){  
  echo $info."<blue>".date('Y')."</blue> Lunar Event Information<br> ";
  echo $info." September <blue>Equinox </blue> September 23rd 2022<br>";
      echo $info." Partial Lunar <blue>Eclipse </blue> October 25th 2022<br>	";
      echo $info." Total <blue>Eclipse </blue> November 8th 2022<br>"; 
      echo $info." December <blue>Solstice </blue> December 21st 2022<br>"; 
      
      }	

if($lunayear==2023 ){  
  echo $info."<blue>".date('Y')."</blue>Lunar Event Information<br> ";
  echo $info." Vernal <blue>Equinox </blue> March 7th 2023<br>	";
		echo $info." Solar <blue>Eclipse </blue> April 20th 2023<br>	";
		echo $info." Lunar <blue>Eclipse </blue> May 5-6th 2023<br>"; 
    echo $info." Summer <blue>Solstice </blue> 21st June 2023<br>";
    echo $info." Full <blue>Supermoon </blue> 1st August 2023<br>";
    echo $info." Blue <blue>Supermoon </blue> 31st August 2023<br>";
		echo $info." Solar Lunar <blue>Eclipse </blue> October 14th 2023<br>	";
		echo $info." Lunar <blue>Eclipse </blue> October 28-29th 2023<br>"; 
		}

    if($lunayear==2024 ){  
      echo $info."<blue>".date('Y')."</blue>Lunar Event Information<br> ";
        echo $info." March <blue>Equinox</blue> March 20th 2024<br>	";
        echo $info." Lunar Eclipse<blue>Eclipse </blue> March 25th  2024<br>"; 
        echo $info." Total <blue>Eclipse </blue> April 8th 2024<br>	";
        echo $info." Summer <blue>Solstice </blue> June 20th 2024<br>";
        echo $info." Full <blue>Blue Moon </blue> August 19th 2024<br>";
        echo $info." Full <blue>Supermoon </blue> September 18th  2024<br>";
        echo $info." Partial Lunar <blue>Eclipse </blue> September 18th 2024<br>"; 
        echo $info." September <blue>Equinox </blue> September 22nd  2024<br>	";
        echo $info." Annular Solar <blue>Eclipse </blue> October 2nd 2024<br>	";
        echo $info." Full <blue>Supermoon </blue> October 17th  2024<br>";
        echo $info." Full <blue>Supermoon </blue> November 15th  2024<br>";
       
        }
    ?>	
    <?php if ($lunar_nextevent)  {echo $lunar_nextevent ;}?>  
  
    
</article>

<article>      
<div style="position:absolute;font-size:9px;margin-left:30px;margin-top:25px;padding:5px;padding-bottom:8px;background:hsla(200, 4%, 27%, 0.04);border-radius:5px;width:220px;
box-shadow: inset 0 1px rgba(255, 255, 255, 0), 0 6px 5px -5px var(--moduleoutline), 0 6px 5px -5px var(--moduleoutline), 
0 0 5px -5px var(--moduleoutline), 0 0 0 0 #000, 0 0 0 0 #000;
">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Major Annual <blue1>Meteor Showers</blue1><br>
<?php echo $meteorinfo2;?> <green>Quadrantids</green> (<orange>ZHR 120</orange>) Dec 28-Jan 12<br>
<?php echo $meteorinfo2;?> <green>Lyrids</green> (<orange>ZHR 18</orange>) Apr 18-Apr 25<br>
<?php echo $meteorinfo2;?> <green>Perseids</green> (<orange>ZHR 100</orange>) Jul 13-Aug 26<br>
<?php echo $meteorinfo2;?> <green>Leonids</green> (<orange>ZHR 15</orange>) Nov 05-Dec 03<br>
<?php echo $meteorinfo2;?> <green>Geminids</green> (<orange>ZHR 150</orange>) Nov 30-Dec 17<br>
<?php echo $meteorinfo2;?> <green>Ursids</green> (<orange>ZHR 10</orange>) Dec 17-Dec 24<br>   
</div>

<?php if ($meteor_default)  {	echo "".$meteorinfo3." ".$meteor_default;}?>
<br><br><br><br><br><br><br><br><br>
<div style="font-size:9px;margin-left:10px;margin-top:20px;width:300px">
<?php if ($meteor_nextevent)  {echo "Next ",$meteor_nextevent ;} ?>  
</div>
</article>   
</main> 
  