<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release: September 2020 	UVINDEX 			  	                                           #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
		
	include('preload.php');
	$weatherfile = date('F');	
	$conv = 1;	
	$int = 1;	
	
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR UVINDEX YEAR CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';	
	?>
    <br>
	<script type="text/javascript">

function WEATHER34CHARTCOLORS(uv) {
if (uv>=0 && uv<3) {uvlevel=' hsl(75, 62%, 43%)';}
else if (uv>=3 && uv<5) {uvlevel='hsl(35, 77%, 58%)';}
else if (uv>=5 && uv<7) {uvlevel='hsl(19, 66%, 55%)';} 
else if (uv>=7 && uv<10) {uvlevel='hsl(7, 60%, 57%)';} 
else if (uv>=10 ) {uvlevel='hsl(246, 31%, 62%)';}                
else {uvlevel='hsla(206, 12%, 27%, .4)';}
return uvlevel;}


function WEATHER34UVI(weather34Dvalue) {
if (weather34Dvalue>=0 && weather34Dvalue<3) {theD='No Risk';}
else if (weather34Dvalue>=3 && weather34Dvalue<=5) {theD='Moderate Risk';}
else if (weather34Dvalue>5 && weather34Dvalue<=7) {theD='Moderately High ';}
else if (weather34Dvalue>7 && weather34Dvalue<=10) {theD='High Risk';}  
else if (weather34Dvalue>10  && weather34Dvalue<=11) {theD='Very High Risk';}
else if (weather34Dvalue>12 ) {theD='Extreme Risk';}
else {theD='No Data !';}
return theD;}

        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "2021.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');	
				if ( rowData[1] >-100)				
				//dataPoints1.push({label:rowData[0],y:parseFloat(rowData[11])});
				dataPoints1.push({label: rowData[0],y:parseFloat(rowData[11]),color:WEATHER34CHARTCOLORS(parseFloat(rowData[11]))});
					
					
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)	
				//dataPoints2.push({label: rowData[0],y:parseFloat(rowData[12])});
				dataPoints2.push({y:WEATHER34UVI(parseFloat(rowData[11]))});
				
			}
			drawChart(dataPoints1,dataPoints2 );
		}
	}

	
	function drawChart( dataPoints1) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		backgroundColor: "<?php echo $bcolor;?>",
		animationEnabled: false,
		 
		title: {
            text: " ",
			fontSize: 0,
			fontColor:' #aaa',
			fontFamily: "verb",
        },
		toolTip:{
			fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",				  
               borderThickness: 3,	
			   fontSize: 11,	
			   //content: "{label} {y}" ,     	   
			   toolTipContent: " x {x} y {y} {name}, {label} ",
			   shared: true, 
			   fontFamily: "verb",
 },
		axisX: {
			gridColor: "rgba(82, 92, 97, 0.39)",
		    labelFontSize: 9,
			labelFontColor:'<?php echo $ccolor?>',
			lineThickness: 1,
			gridThickness: 1,
			gridDashType: "dot",	
			titleFontFamily: "verb",	
			labelFontFamily: "verb",	
			minimum:0,		
			interval:19,	
			intervalType:"day",
			xValueType: "dateTime",	
			
			
			},
			
		axisY:{
		margin: 0,
		interval:1,			
		lineThickness: 1,		
		gridThickness: 1,	
		gridDashType: "dot",	
        includeZero: true,
		gridColor: "rgba(82, 92, 97, 0.39)",
		labelFontSize: 12,
		labelFontColor:'<?php echo $ccolor?>',
		labelFontFamily: "verb",
		
		labelFormatter: function ( e ) {
            return e.value .toFixed(0) ;
         },	
			 
		
      },
	  
	  legend:{
      fontFamily: "verb",
      fontColor:"#555",
	  margin: 0,
  
 },
		
		
 data: [
		{
			//UV
			type: "column",
			color:"#d85026",
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 1,
			markerType: "none",
			name:"UVINDEX",
			dataPoints: dataPoints1,
			yValueFormatString:"##.## UVI",
		},
		{			
			//UV phrase
			type: "scatter",
			//color:"rgba(68, 166, 181, 1.000)",
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "triangle",
			
			markerType: "circle",
			name:"Level",
			dataPoints: dataPoints2,
			yValueFormatString:theD,
			markerBorderColor: 'rgba(68, 166, 181, 1.000)', 
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>
</script>
<div class="modulecaptionchartlarge">UVINDEX (UVI) 2021</div> 


<div class="modulecaptionprevious">
&nbsp;&nbsp;
<a href="todayuvmodulechart2b.php" style="margin-left:100px;"><?php echo $weather34chart2?> Today</a>
&nbsp;&nbsp;
<a href="monthuvindexmodulechart2a.php" style="margin-left:180px;"><?php echo $weather34chart2?> <?php echo date('F')?></a>
</div>


<div id="chartContainer2" class="chartba"></div></div>

</body></html>